#[derive(Clone, Copy, Debug, Eq, Hash, Ord, PartialEq, PartialOrd)]
pub enum AriaAttribute {
    AriaActivedescendant,
    AriaAtomic,
    AriaAutocomplete,
    AriaBraillelabel,
    AriaBrailleroledescription,
    AriaBusy,
    AriaChecked,
    AriaColcount,
    AriaColindex,
    AriaColindextext,
    AriaColspan,
    AriaControls,
    AriaCurrent,
    AriaDescribedby,
    AriaDescription,
    AriaDetails,
    AriaDisabled,
    AriaDropeffect,
    AriaErrormessage,
    AriaExpanded,
    AriaFlowto,
    AriaGrabbed,
    AriaHaspopup,
    AriaHidden,
    AriaInvalid,
    AriaKeyshortcuts,
    AriaLabel,
    AriaLabelledby,
    AriaLevel,
    AriaLive,
    AriaModal,
    AriaMultiline,
    AriaMultiselectable,
    AriaOrientation,
    AriaOwns,
    AriaPlaceholder,
    AriaPosinset,
    AriaPressed,
    AriaReadonly,
    AriaRelevant,
    AriaRequired,
    AriaRoledescription,
    AriaRowcount,
    AriaRowindex,
    AriaRowindextext,
    AriaRowspan,
    AriaSelected,
    AriaSetsize,
    AriaSort,
    AriaValuemax,
    AriaValuemin,
    AriaValuenow,
    AriaValuetext,
}
impl AriaAttribute {
    pub const fn as_str(self) -> &'static str {
        match self {
            Self::AriaActivedescendant => "aria-activedescendant",
            Self::AriaAtomic => "aria-atomic",
            Self::AriaAutocomplete => "aria-autocomplete",
            Self::AriaBraillelabel => "aria-braillelabel",
            Self::AriaBrailleroledescription => "aria-brailleroledescription",
            Self::AriaBusy => "aria-busy",
            Self::AriaChecked => "aria-checked",
            Self::AriaColcount => "aria-colcount",
            Self::AriaColindex => "aria-colindex",
            Self::AriaColindextext => "aria-colindextext",
            Self::AriaColspan => "aria-colspan",
            Self::AriaControls => "aria-controls",
            Self::AriaCurrent => "aria-current",
            Self::AriaDescribedby => "aria-describedby",
            Self::AriaDescription => "aria-description",
            Self::AriaDetails => "aria-details",
            Self::AriaDisabled => "aria-disabled",
            Self::AriaDropeffect => "aria-dropeffect",
            Self::AriaErrormessage => "aria-errormessage",
            Self::AriaExpanded => "aria-expanded",
            Self::AriaFlowto => "aria-flowto",
            Self::AriaGrabbed => "aria-grabbed",
            Self::AriaHaspopup => "aria-haspopup",
            Self::AriaHidden => "aria-hidden",
            Self::AriaInvalid => "aria-invalid",
            Self::AriaKeyshortcuts => "aria-keyshortcuts",
            Self::AriaLabel => "aria-label",
            Self::AriaLabelledby => "aria-labelledby",
            Self::AriaLevel => "aria-level",
            Self::AriaLive => "aria-live",
            Self::AriaModal => "aria-modal",
            Self::AriaMultiline => "aria-multiline",
            Self::AriaMultiselectable => "aria-multiselectable",
            Self::AriaOrientation => "aria-orientation",
            Self::AriaOwns => "aria-owns",
            Self::AriaPlaceholder => "aria-placeholder",
            Self::AriaPosinset => "aria-posinset",
            Self::AriaPressed => "aria-pressed",
            Self::AriaReadonly => "aria-readonly",
            Self::AriaRelevant => "aria-relevant",
            Self::AriaRequired => "aria-required",
            Self::AriaRoledescription => "aria-roledescription",
            Self::AriaRowcount => "aria-rowcount",
            Self::AriaRowindex => "aria-rowindex",
            Self::AriaRowindextext => "aria-rowindextext",
            Self::AriaRowspan => "aria-rowspan",
            Self::AriaSelected => "aria-selected",
            Self::AriaSetsize => "aria-setsize",
            Self::AriaSort => "aria-sort",
            Self::AriaValuemax => "aria-valuemax",
            Self::AriaValuemin => "aria-valuemin",
            Self::AriaValuenow => "aria-valuenow",
            Self::AriaValuetext => "aria-valuetext",
        }
    }
}
impl std::str::FromStr for AriaAttribute {
    type Err = ();
    fn from_str(s: &str) -> Result<Self, Self::Err> {
        match s {
            "aria-activedescendant" => Ok(Self::AriaActivedescendant),
            "aria-atomic" => Ok(Self::AriaAtomic),
            "aria-autocomplete" => Ok(Self::AriaAutocomplete),
            "aria-braillelabel" => Ok(Self::AriaBraillelabel),
            "aria-brailleroledescription" => Ok(Self::AriaBrailleroledescription),
            "aria-busy" => Ok(Self::AriaBusy),
            "aria-checked" => Ok(Self::AriaChecked),
            "aria-colcount" => Ok(Self::AriaColcount),
            "aria-colindex" => Ok(Self::AriaColindex),
            "aria-colindextext" => Ok(Self::AriaColindextext),
            "aria-colspan" => Ok(Self::AriaColspan),
            "aria-controls" => Ok(Self::AriaControls),
            "aria-current" => Ok(Self::AriaCurrent),
            "aria-describedby" => Ok(Self::AriaDescribedby),
            "aria-description" => Ok(Self::AriaDescription),
            "aria-details" => Ok(Self::AriaDetails),
            "aria-disabled" => Ok(Self::AriaDisabled),
            "aria-dropeffect" => Ok(Self::AriaDropeffect),
            "aria-errormessage" => Ok(Self::AriaErrormessage),
            "aria-expanded" => Ok(Self::AriaExpanded),
            "aria-flowto" => Ok(Self::AriaFlowto),
            "aria-grabbed" => Ok(Self::AriaGrabbed),
            "aria-haspopup" => Ok(Self::AriaHaspopup),
            "aria-hidden" => Ok(Self::AriaHidden),
            "aria-invalid" => Ok(Self::AriaInvalid),
            "aria-keyshortcuts" => Ok(Self::AriaKeyshortcuts),
            "aria-label" => Ok(Self::AriaLabel),
            "aria-labelledby" => Ok(Self::AriaLabelledby),
            "aria-level" => Ok(Self::AriaLevel),
            "aria-live" => Ok(Self::AriaLive),
            "aria-modal" => Ok(Self::AriaModal),
            "aria-multiline" => Ok(Self::AriaMultiline),
            "aria-multiselectable" => Ok(Self::AriaMultiselectable),
            "aria-orientation" => Ok(Self::AriaOrientation),
            "aria-owns" => Ok(Self::AriaOwns),
            "aria-placeholder" => Ok(Self::AriaPlaceholder),
            "aria-posinset" => Ok(Self::AriaPosinset),
            "aria-pressed" => Ok(Self::AriaPressed),
            "aria-readonly" => Ok(Self::AriaReadonly),
            "aria-relevant" => Ok(Self::AriaRelevant),
            "aria-required" => Ok(Self::AriaRequired),
            "aria-roledescription" => Ok(Self::AriaRoledescription),
            "aria-rowcount" => Ok(Self::AriaRowcount),
            "aria-rowindex" => Ok(Self::AriaRowindex),
            "aria-rowindextext" => Ok(Self::AriaRowindextext),
            "aria-rowspan" => Ok(Self::AriaRowspan),
            "aria-selected" => Ok(Self::AriaSelected),
            "aria-setsize" => Ok(Self::AriaSetsize),
            "aria-sort" => Ok(Self::AriaSort),
            "aria-valuemax" => Ok(Self::AriaValuemax),
            "aria-valuemin" => Ok(Self::AriaValuemin),
            "aria-valuenow" => Ok(Self::AriaValuenow),
            "aria-valuetext" => Ok(Self::AriaValuetext),
            _ => Err(()),
        }
    }
}
impl std::fmt::Display for AriaAttribute {
    fn fmt(&self, fmt: &mut std::fmt::Formatter) -> std::fmt::Result {
        fmt.write_str(self.as_str())
    }
}
impl AriaAttribute {
    pub fn is_deprecated(&self) -> bool {
        matches!(self, Self::AriaDropeffect | Self::AriaGrabbed)
    }
    pub fn kind(self) -> AriaAttributeKind {
        match self {
            Self::AriaActivedescendant => AriaAttributeKind::Property,
            Self::AriaAtomic => AriaAttributeKind::Property,
            Self::AriaAutocomplete => AriaAttributeKind::Property,
            Self::AriaBraillelabel => AriaAttributeKind::Property,
            Self::AriaBrailleroledescription => AriaAttributeKind::Property,
            Self::AriaBusy => AriaAttributeKind::State,
            Self::AriaChecked => AriaAttributeKind::State,
            Self::AriaColcount => AriaAttributeKind::Property,
            Self::AriaColindex => AriaAttributeKind::Property,
            Self::AriaColindextext => AriaAttributeKind::Property,
            Self::AriaColspan => AriaAttributeKind::Property,
            Self::AriaControls => AriaAttributeKind::Property,
            Self::AriaCurrent => AriaAttributeKind::State,
            Self::AriaDescribedby => AriaAttributeKind::Property,
            Self::AriaDescription => AriaAttributeKind::Property,
            Self::AriaDetails => AriaAttributeKind::Property,
            Self::AriaDisabled => AriaAttributeKind::State,
            Self::AriaDropeffect => AriaAttributeKind::Property,
            Self::AriaErrormessage => AriaAttributeKind::Property,
            Self::AriaExpanded => AriaAttributeKind::State,
            Self::AriaFlowto => AriaAttributeKind::Property,
            Self::AriaGrabbed => AriaAttributeKind::State,
            Self::AriaHaspopup => AriaAttributeKind::Property,
            Self::AriaHidden => AriaAttributeKind::State,
            Self::AriaInvalid => AriaAttributeKind::State,
            Self::AriaKeyshortcuts => AriaAttributeKind::Property,
            Self::AriaLabel => AriaAttributeKind::Property,
            Self::AriaLabelledby => AriaAttributeKind::Property,
            Self::AriaLevel => AriaAttributeKind::Property,
            Self::AriaLive => AriaAttributeKind::Property,
            Self::AriaModal => AriaAttributeKind::Property,
            Self::AriaMultiline => AriaAttributeKind::Property,
            Self::AriaMultiselectable => AriaAttributeKind::Property,
            Self::AriaOrientation => AriaAttributeKind::Property,
            Self::AriaOwns => AriaAttributeKind::Property,
            Self::AriaPlaceholder => AriaAttributeKind::Property,
            Self::AriaPosinset => AriaAttributeKind::Property,
            Self::AriaPressed => AriaAttributeKind::State,
            Self::AriaReadonly => AriaAttributeKind::Property,
            Self::AriaRelevant => AriaAttributeKind::Property,
            Self::AriaRequired => AriaAttributeKind::Property,
            Self::AriaRoledescription => AriaAttributeKind::Property,
            Self::AriaRowcount => AriaAttributeKind::Property,
            Self::AriaRowindex => AriaAttributeKind::Property,
            Self::AriaRowindextext => AriaAttributeKind::Property,
            Self::AriaRowspan => AriaAttributeKind::Property,
            Self::AriaSelected => AriaAttributeKind::State,
            Self::AriaSetsize => AriaAttributeKind::Property,
            Self::AriaSort => AriaAttributeKind::Property,
            Self::AriaValuemax => AriaAttributeKind::Property,
            Self::AriaValuemin => AriaAttributeKind::Property,
            Self::AriaValuenow => AriaAttributeKind::Property,
            Self::AriaValuetext => AriaAttributeKind::Property,
        }
    }
    pub fn value_type(&self) -> AriaValueType {
        match self {
            Self::AriaActivedescendant => AriaValueType::IdReference,
            Self::AriaAtomic => AriaValueType::Boolean,
            Self::AriaAutocomplete => {
                AriaValueType::Token(&["none", "both", "inline", "list"])
            }
            Self::AriaBraillelabel => AriaValueType::String,
            Self::AriaBrailleroledescription => AriaValueType::String,
            Self::AriaBusy => AriaValueType::Boolean,
            Self::AriaChecked => AriaValueType::Tristate,
            Self::AriaColcount => AriaValueType::Integer,
            Self::AriaColindex => AriaValueType::Integer,
            Self::AriaColindextext => AriaValueType::String,
            Self::AriaColspan => AriaValueType::Integer,
            Self::AriaControls => AriaValueType::IdReferenceList,
            Self::AriaCurrent => {
                AriaValueType::Token(
                    &["false", "date", "location", "page", "step", "time", "true"],
                )
            }
            Self::AriaDescribedby => AriaValueType::IdReferenceList,
            Self::AriaDescription => AriaValueType::String,
            Self::AriaDetails => AriaValueType::IdReferenceList,
            Self::AriaDisabled => AriaValueType::Boolean,
            Self::AriaDropeffect => {
                AriaValueType::TokenList(
                    &["none", "copy", "execute", "link", "move", "popup"],
                )
            }
            Self::AriaErrormessage => AriaValueType::IdReferenceList,
            Self::AriaExpanded => AriaValueType::OptionalBoolean,
            Self::AriaFlowto => AriaValueType::IdReferenceList,
            Self::AriaGrabbed => AriaValueType::OptionalBoolean,
            Self::AriaHaspopup => {
                AriaValueType::Token(
                    &["false", "dialog", "grid", "listbox", "menu", "tree", "true"],
                )
            }
            Self::AriaHidden => AriaValueType::OptionalBoolean,
            Self::AriaInvalid => {
                AriaValueType::Token(&["false", "grammar", "spelling", "true"])
            }
            Self::AriaKeyshortcuts => AriaValueType::String,
            Self::AriaLabel => AriaValueType::String,
            Self::AriaLabelledby => AriaValueType::IdReferenceList,
            Self::AriaLevel => AriaValueType::Integer,
            Self::AriaLive => AriaValueType::Token(&["off", "assertive", "polite"]),
            Self::AriaModal => AriaValueType::Boolean,
            Self::AriaMultiline => AriaValueType::Boolean,
            Self::AriaMultiselectable => AriaValueType::Boolean,
            Self::AriaOrientation => {
                AriaValueType::Token(&["undefined", "horizontal", "vertical"])
            }
            Self::AriaOwns => AriaValueType::IdReferenceList,
            Self::AriaPlaceholder => AriaValueType::String,
            Self::AriaPosinset => AriaValueType::Integer,
            Self::AriaPressed => AriaValueType::Tristate,
            Self::AriaReadonly => AriaValueType::Boolean,
            Self::AriaRelevant => {
                AriaValueType::TokenList(
                    &["additions text", "additions", "all", "removals", "text"],
                )
            }
            Self::AriaRequired => AriaValueType::Boolean,
            Self::AriaRoledescription => AriaValueType::String,
            Self::AriaRowcount => AriaValueType::Integer,
            Self::AriaRowindex => AriaValueType::Integer,
            Self::AriaRowindextext => AriaValueType::String,
            Self::AriaRowspan => AriaValueType::Integer,
            Self::AriaSelected => AriaValueType::OptionalBoolean,
            Self::AriaSetsize => AriaValueType::Integer,
            Self::AriaSort => {
                AriaValueType::Token(&["none", "ascending", "descending", "other"])
            }
            Self::AriaValuemax => AriaValueType::Number,
            Self::AriaValuemin => AriaValueType::Number,
            Self::AriaValuenow => AriaValueType::Number,
            Self::AriaValuetext => AriaValueType::String,
        }
    }
}
impl AriaAttribute {
    pub fn is_global(self) -> bool {
        matches!(
            self, Self::AriaAtomic | Self::AriaBraillelabel |
            Self::AriaBrailleroledescription | Self::AriaBusy | Self::AriaControls |
            Self::AriaCurrent | Self::AriaDescribedby | Self::AriaDescription |
            Self::AriaDetails | Self::AriaDisabled | Self::AriaDropeffect |
            Self::AriaErrormessage | Self::AriaFlowto | Self::AriaGrabbed |
            Self::AriaHaspopup | Self::AriaHidden | Self::AriaInvalid |
            Self::AriaKeyshortcuts | Self::AriaLabel | Self::AriaLabelledby |
            Self::AriaLive | Self::AriaOwns | Self::AriaRelevant |
            Self::AriaRoledescription
        )
    }
}
#[derive(Clone, Copy, Debug, Eq, Hash, Ord, PartialEq, PartialOrd)]
pub enum HtmlElement {
    A,
    Article,
    Aside,
    Blockquote,
    Button,
    Caption,
    Code,
    Del,
    Dfn,
    Div,
    Em,
    Fieldset,
    Figcaption,
    Figure,
    Footer,
    Form,
    H1,
    H2,
    H3,
    H4,
    H5,
    H6,
    Header,
    Hr,
    Img,
    Input,
    Ins,
    Legend,
    Li,
    Link,
    Main,
    Mark,
    Meter,
    Nav,
    Ol,
    Option,
    Output,
    P,
    S,
    Search,
    Section,
    Select,
    Span,
    Strong,
    Sub,
    Sup,
    Table,
    Tbody,
    Td,
    Textarea,
    Tfoot,
    Th,
    Thead,
    Time,
    Tr,
    Ul,
}
impl HtmlElement {
    pub const fn as_str(self) -> &'static str {
        match self {
            Self::A => "a",
            Self::Article => "article",
            Self::Aside => "aside",
            Self::Blockquote => "blockquote",
            Self::Button => "button",
            Self::Caption => "caption",
            Self::Code => "code",
            Self::Del => "del",
            Self::Dfn => "dfn",
            Self::Div => "div",
            Self::Em => "em",
            Self::Fieldset => "fieldset",
            Self::Figcaption => "figcaption",
            Self::Figure => "figure",
            Self::Footer => "footer",
            Self::Form => "form",
            Self::H1 => "h1",
            Self::H2 => "h2",
            Self::H3 => "h3",
            Self::H4 => "h4",
            Self::H5 => "h5",
            Self::H6 => "h6",
            Self::Header => "header",
            Self::Hr => "hr",
            Self::Img => "img",
            Self::Input => "input",
            Self::Ins => "ins",
            Self::Legend => "legend",
            Self::Li => "li",
            Self::Link => "link",
            Self::Main => "main",
            Self::Mark => "mark",
            Self::Meter => "meter",
            Self::Nav => "nav",
            Self::Ol => "ol",
            Self::Option => "option",
            Self::Output => "output",
            Self::P => "p",
            Self::S => "s",
            Self::Search => "search",
            Self::Section => "section",
            Self::Select => "select",
            Self::Span => "span",
            Self::Strong => "strong",
            Self::Sub => "sub",
            Self::Sup => "sup",
            Self::Table => "table",
            Self::Tbody => "tbody",
            Self::Td => "td",
            Self::Textarea => "textarea",
            Self::Tfoot => "tfoot",
            Self::Th => "th",
            Self::Thead => "thead",
            Self::Time => "time",
            Self::Tr => "tr",
            Self::Ul => "ul",
        }
    }
}
impl std::str::FromStr for HtmlElement {
    type Err = ();
    fn from_str(s: &str) -> Result<Self, Self::Err> {
        match s {
            "a" => Ok(Self::A),
            "article" => Ok(Self::Article),
            "aside" => Ok(Self::Aside),
            "blockquote" => Ok(Self::Blockquote),
            "button" => Ok(Self::Button),
            "caption" => Ok(Self::Caption),
            "code" => Ok(Self::Code),
            "del" => Ok(Self::Del),
            "dfn" => Ok(Self::Dfn),
            "div" => Ok(Self::Div),
            "em" => Ok(Self::Em),
            "fieldset" => Ok(Self::Fieldset),
            "figcaption" => Ok(Self::Figcaption),
            "figure" => Ok(Self::Figure),
            "footer" => Ok(Self::Footer),
            "form" => Ok(Self::Form),
            "h1" => Ok(Self::H1),
            "h2" => Ok(Self::H2),
            "h3" => Ok(Self::H3),
            "h4" => Ok(Self::H4),
            "h5" => Ok(Self::H5),
            "h6" => Ok(Self::H6),
            "header" => Ok(Self::Header),
            "hr" => Ok(Self::Hr),
            "img" => Ok(Self::Img),
            "input" => Ok(Self::Input),
            "ins" => Ok(Self::Ins),
            "legend" => Ok(Self::Legend),
            "li" => Ok(Self::Li),
            "link" => Ok(Self::Link),
            "main" => Ok(Self::Main),
            "mark" => Ok(Self::Mark),
            "meter" => Ok(Self::Meter),
            "nav" => Ok(Self::Nav),
            "ol" => Ok(Self::Ol),
            "option" => Ok(Self::Option),
            "output" => Ok(Self::Output),
            "p" => Ok(Self::P),
            "s" => Ok(Self::S),
            "search" => Ok(Self::Search),
            "section" => Ok(Self::Section),
            "select" => Ok(Self::Select),
            "span" => Ok(Self::Span),
            "strong" => Ok(Self::Strong),
            "sub" => Ok(Self::Sub),
            "sup" => Ok(Self::Sup),
            "table" => Ok(Self::Table),
            "tbody" => Ok(Self::Tbody),
            "td" => Ok(Self::Td),
            "textarea" => Ok(Self::Textarea),
            "tfoot" => Ok(Self::Tfoot),
            "th" => Ok(Self::Th),
            "thead" => Ok(Self::Thead),
            "time" => Ok(Self::Time),
            "tr" => Ok(Self::Tr),
            "ul" => Ok(Self::Ul),
            _ => Err(()),
        }
    }
}
impl std::fmt::Display for HtmlElement {
    fn fmt(&self, fmt: &mut std::fmt::Formatter) -> std::fmt::Result {
        fmt.write_str(self.as_str())
    }
}
#[derive(Clone, Copy, Debug, Eq, Hash, Ord, PartialEq, PartialOrd)]
pub enum HtmlAttribute {
    Scope,
    Type,
}
impl HtmlAttribute {
    pub const fn as_str(self) -> &'static str {
        match self {
            Self::Scope => "scope",
            Self::Type => "type",
        }
    }
}
impl std::str::FromStr for HtmlAttribute {
    type Err = ();
    fn from_str(s: &str) -> Result<Self, Self::Err> {
        match s {
            "scope" => Ok(Self::Scope),
            "type" => Ok(Self::Type),
            _ => Err(()),
        }
    }
}
impl std::fmt::Display for HtmlAttribute {
    fn fmt(&self, fmt: &mut std::fmt::Formatter) -> std::fmt::Result {
        fmt.write_str(self.as_str())
    }
}
#[derive(Clone, Copy, Debug, Eq, Hash, Ord, PartialEq, PartialOrd)]
pub enum AriaAbstractRole {
    Command,
    Composite,
    Input,
    Landmark,
    Range,
    Roletype,
    Section,
    Sectionhead,
    Select,
    Structure,
    Widget,
    Window,
}
impl AriaAbstractRole {
    pub const fn as_str(self) -> &'static str {
        match self {
            Self::Command => "command",
            Self::Composite => "composite",
            Self::Input => "input",
            Self::Landmark => "landmark",
            Self::Range => "range",
            Self::Roletype => "roletype",
            Self::Section => "section",
            Self::Sectionhead => "sectionhead",
            Self::Select => "select",
            Self::Structure => "structure",
            Self::Widget => "widget",
            Self::Window => "window",
        }
    }
}
impl std::str::FromStr for AriaAbstractRole {
    type Err = ();
    fn from_str(s: &str) -> Result<Self, Self::Err> {
        match s {
            "command" => Ok(Self::Command),
            "composite" => Ok(Self::Composite),
            "input" => Ok(Self::Input),
            "landmark" => Ok(Self::Landmark),
            "range" => Ok(Self::Range),
            "roletype" => Ok(Self::Roletype),
            "section" => Ok(Self::Section),
            "sectionhead" => Ok(Self::Sectionhead),
            "select" => Ok(Self::Select),
            "structure" => Ok(Self::Structure),
            "widget" => Ok(Self::Widget),
            "window" => Ok(Self::Window),
            _ => Err(()),
        }
    }
}
impl std::fmt::Display for AriaAbstractRole {
    fn fmt(&self, fmt: &mut std::fmt::Formatter) -> std::fmt::Result {
        fmt.write_str(self.as_str())
    }
}
#[derive(Clone, Copy, Debug, Eq, Hash, Ord, PartialEq, PartialOrd)]
pub enum AriaRole {
    Alert,
    Alertdialog,
    Application,
    Article,
    Banner,
    Blockquote,
    Button,
    Caption,
    Cell,
    Checkbox,
    Code,
    Columnheader,
    Combobox,
    Comment,
    Complementary,
    Contentinfo,
    Definition,
    Deletion,
    Dialog,
    Directory,
    DocAbstract,
    DocAcknowledgments,
    DocAfterword,
    DocAppendix,
    DocBacklink,
    DocBiblioentry,
    DocBibliography,
    DocBiblioref,
    DocChapter,
    DocColophon,
    DocConclusion,
    DocCover,
    DocCredit,
    DocCredits,
    DocDedication,
    DocEndnote,
    DocEndnotes,
    DocEpigraph,
    DocEpilogue,
    DocErrata,
    DocExample,
    DocFootnote,
    DocForeword,
    DocGlossary,
    DocGlossref,
    DocIndex,
    DocIntroduction,
    DocNoteref,
    DocNotice,
    DocPagebreak,
    DocPagefooter,
    DocPageheader,
    DocPagelist,
    DocPart,
    DocPreface,
    DocPrologue,
    DocPullquote,
    DocQna,
    DocSubtitle,
    DocTip,
    DocToc,
    Document,
    Emphasis,
    Feed,
    Figure,
    Form,
    Generic,
    GraphicsDocument,
    GraphicsObject,
    GraphicsSymbol,
    Grid,
    Gridcell,
    Group,
    Heading,
    Image,
    Img,
    Insertion,
    Link,
    List,
    Listbox,
    Listitem,
    Log,
    Main,
    Mark,
    Marquee,
    Math,
    Menu,
    Menubar,
    Menuitem,
    Menuitemcheckbox,
    Menuitemradio,
    Meter,
    Navigation,
    None,
    Note,
    Option,
    Paragraph,
    Presentation,
    Progressbar,
    Radio,
    Radiogroup,
    Region,
    Row,
    Rowgroup,
    Rowheader,
    Scrollbar,
    Search,
    Searchbox,
    Separator,
    Slider,
    Spinbutton,
    Status,
    Strong,
    Subscript,
    Suggestion,
    Superscript,
    Switch,
    Tab,
    Table,
    Tablist,
    Tabpanel,
    Term,
    Textbox,
    Time,
    Timer,
    Toolbar,
    Tooltip,
    Tree,
    Treegrid,
    Treeitem,
}
impl AriaRole {
    pub const fn as_str(self) -> &'static str {
        match self {
            Self::Alert => "alert",
            Self::Alertdialog => "alertdialog",
            Self::Application => "application",
            Self::Article => "article",
            Self::Banner => "banner",
            Self::Blockquote => "blockquote",
            Self::Button => "button",
            Self::Caption => "caption",
            Self::Cell => "cell",
            Self::Checkbox => "checkbox",
            Self::Code => "code",
            Self::Columnheader => "columnheader",
            Self::Combobox => "combobox",
            Self::Comment => "comment",
            Self::Complementary => "complementary",
            Self::Contentinfo => "contentinfo",
            Self::Definition => "definition",
            Self::Deletion => "deletion",
            Self::Dialog => "dialog",
            Self::Directory => "directory",
            Self::DocAbstract => "doc-abstract",
            Self::DocAcknowledgments => "doc-acknowledgments",
            Self::DocAfterword => "doc-afterword",
            Self::DocAppendix => "doc-appendix",
            Self::DocBacklink => "doc-backlink",
            Self::DocBiblioentry => "doc-biblioentry",
            Self::DocBibliography => "doc-bibliography",
            Self::DocBiblioref => "doc-biblioref",
            Self::DocChapter => "doc-chapter",
            Self::DocColophon => "doc-colophon",
            Self::DocConclusion => "doc-conclusion",
            Self::DocCover => "doc-cover",
            Self::DocCredit => "doc-credit",
            Self::DocCredits => "doc-credits",
            Self::DocDedication => "doc-dedication",
            Self::DocEndnote => "doc-endnote",
            Self::DocEndnotes => "doc-endnotes",
            Self::DocEpigraph => "doc-epigraph",
            Self::DocEpilogue => "doc-epilogue",
            Self::DocErrata => "doc-errata",
            Self::DocExample => "doc-example",
            Self::DocFootnote => "doc-footnote",
            Self::DocForeword => "doc-foreword",
            Self::DocGlossary => "doc-glossary",
            Self::DocGlossref => "doc-glossref",
            Self::DocIndex => "doc-index",
            Self::DocIntroduction => "doc-introduction",
            Self::DocNoteref => "doc-noteref",
            Self::DocNotice => "doc-notice",
            Self::DocPagebreak => "doc-pagebreak",
            Self::DocPagefooter => "doc-pagefooter",
            Self::DocPageheader => "doc-pageheader",
            Self::DocPagelist => "doc-pagelist",
            Self::DocPart => "doc-part",
            Self::DocPreface => "doc-preface",
            Self::DocPrologue => "doc-prologue",
            Self::DocPullquote => "doc-pullquote",
            Self::DocQna => "doc-qna",
            Self::DocSubtitle => "doc-subtitle",
            Self::DocTip => "doc-tip",
            Self::DocToc => "doc-toc",
            Self::Document => "document",
            Self::Emphasis => "emphasis",
            Self::Feed => "feed",
            Self::Figure => "figure",
            Self::Form => "form",
            Self::Generic => "generic",
            Self::GraphicsDocument => "graphics-document",
            Self::GraphicsObject => "graphics-object",
            Self::GraphicsSymbol => "graphics-symbol",
            Self::Grid => "grid",
            Self::Gridcell => "gridcell",
            Self::Group => "group",
            Self::Heading => "heading",
            Self::Image => "image",
            Self::Img => "img",
            Self::Insertion => "insertion",
            Self::Link => "link",
            Self::List => "list",
            Self::Listbox => "listbox",
            Self::Listitem => "listitem",
            Self::Log => "log",
            Self::Main => "main",
            Self::Mark => "mark",
            Self::Marquee => "marquee",
            Self::Math => "math",
            Self::Menu => "menu",
            Self::Menubar => "menubar",
            Self::Menuitem => "menuitem",
            Self::Menuitemcheckbox => "menuitemcheckbox",
            Self::Menuitemradio => "menuitemradio",
            Self::Meter => "meter",
            Self::Navigation => "navigation",
            Self::None => "none",
            Self::Note => "note",
            Self::Option => "option",
            Self::Paragraph => "paragraph",
            Self::Presentation => "presentation",
            Self::Progressbar => "progressbar",
            Self::Radio => "radio",
            Self::Radiogroup => "radiogroup",
            Self::Region => "region",
            Self::Row => "row",
            Self::Rowgroup => "rowgroup",
            Self::Rowheader => "rowheader",
            Self::Scrollbar => "scrollbar",
            Self::Search => "search",
            Self::Searchbox => "searchbox",
            Self::Separator => "separator",
            Self::Slider => "slider",
            Self::Spinbutton => "spinbutton",
            Self::Status => "status",
            Self::Strong => "strong",
            Self::Subscript => "subscript",
            Self::Suggestion => "suggestion",
            Self::Superscript => "superscript",
            Self::Switch => "switch",
            Self::Tab => "tab",
            Self::Table => "table",
            Self::Tablist => "tablist",
            Self::Tabpanel => "tabpanel",
            Self::Term => "term",
            Self::Textbox => "textbox",
            Self::Time => "time",
            Self::Timer => "timer",
            Self::Toolbar => "toolbar",
            Self::Tooltip => "tooltip",
            Self::Tree => "tree",
            Self::Treegrid => "treegrid",
            Self::Treeitem => "treeitem",
        }
    }
}
impl std::str::FromStr for AriaRole {
    type Err = ();
    fn from_str(s: &str) -> Result<Self, Self::Err> {
        match s {
            "alert" => Ok(Self::Alert),
            "alertdialog" => Ok(Self::Alertdialog),
            "application" => Ok(Self::Application),
            "article" => Ok(Self::Article),
            "banner" => Ok(Self::Banner),
            "blockquote" => Ok(Self::Blockquote),
            "button" => Ok(Self::Button),
            "caption" => Ok(Self::Caption),
            "cell" => Ok(Self::Cell),
            "checkbox" => Ok(Self::Checkbox),
            "code" => Ok(Self::Code),
            "columnheader" => Ok(Self::Columnheader),
            "combobox" => Ok(Self::Combobox),
            "comment" => Ok(Self::Comment),
            "complementary" => Ok(Self::Complementary),
            "contentinfo" => Ok(Self::Contentinfo),
            "definition" => Ok(Self::Definition),
            "deletion" => Ok(Self::Deletion),
            "dialog" => Ok(Self::Dialog),
            "directory" => Ok(Self::Directory),
            "doc-abstract" => Ok(Self::DocAbstract),
            "doc-acknowledgments" => Ok(Self::DocAcknowledgments),
            "doc-afterword" => Ok(Self::DocAfterword),
            "doc-appendix" => Ok(Self::DocAppendix),
            "doc-backlink" => Ok(Self::DocBacklink),
            "doc-biblioentry" => Ok(Self::DocBiblioentry),
            "doc-bibliography" => Ok(Self::DocBibliography),
            "doc-biblioref" => Ok(Self::DocBiblioref),
            "doc-chapter" => Ok(Self::DocChapter),
            "doc-colophon" => Ok(Self::DocColophon),
            "doc-conclusion" => Ok(Self::DocConclusion),
            "doc-cover" => Ok(Self::DocCover),
            "doc-credit" => Ok(Self::DocCredit),
            "doc-credits" => Ok(Self::DocCredits),
            "doc-dedication" => Ok(Self::DocDedication),
            "doc-endnote" => Ok(Self::DocEndnote),
            "doc-endnotes" => Ok(Self::DocEndnotes),
            "doc-epigraph" => Ok(Self::DocEpigraph),
            "doc-epilogue" => Ok(Self::DocEpilogue),
            "doc-errata" => Ok(Self::DocErrata),
            "doc-example" => Ok(Self::DocExample),
            "doc-footnote" => Ok(Self::DocFootnote),
            "doc-foreword" => Ok(Self::DocForeword),
            "doc-glossary" => Ok(Self::DocGlossary),
            "doc-glossref" => Ok(Self::DocGlossref),
            "doc-index" => Ok(Self::DocIndex),
            "doc-introduction" => Ok(Self::DocIntroduction),
            "doc-noteref" => Ok(Self::DocNoteref),
            "doc-notice" => Ok(Self::DocNotice),
            "doc-pagebreak" => Ok(Self::DocPagebreak),
            "doc-pagefooter" => Ok(Self::DocPagefooter),
            "doc-pageheader" => Ok(Self::DocPageheader),
            "doc-pagelist" => Ok(Self::DocPagelist),
            "doc-part" => Ok(Self::DocPart),
            "doc-preface" => Ok(Self::DocPreface),
            "doc-prologue" => Ok(Self::DocPrologue),
            "doc-pullquote" => Ok(Self::DocPullquote),
            "doc-qna" => Ok(Self::DocQna),
            "doc-subtitle" => Ok(Self::DocSubtitle),
            "doc-tip" => Ok(Self::DocTip),
            "doc-toc" => Ok(Self::DocToc),
            "document" => Ok(Self::Document),
            "emphasis" => Ok(Self::Emphasis),
            "feed" => Ok(Self::Feed),
            "figure" => Ok(Self::Figure),
            "form" => Ok(Self::Form),
            "generic" => Ok(Self::Generic),
            "graphics-document" => Ok(Self::GraphicsDocument),
            "graphics-object" => Ok(Self::GraphicsObject),
            "graphics-symbol" => Ok(Self::GraphicsSymbol),
            "grid" => Ok(Self::Grid),
            "gridcell" => Ok(Self::Gridcell),
            "group" => Ok(Self::Group),
            "heading" => Ok(Self::Heading),
            "image" => Ok(Self::Image),
            "img" => Ok(Self::Img),
            "insertion" => Ok(Self::Insertion),
            "link" => Ok(Self::Link),
            "list" => Ok(Self::List),
            "listbox" => Ok(Self::Listbox),
            "listitem" => Ok(Self::Listitem),
            "log" => Ok(Self::Log),
            "main" => Ok(Self::Main),
            "mark" => Ok(Self::Mark),
            "marquee" => Ok(Self::Marquee),
            "math" => Ok(Self::Math),
            "menu" => Ok(Self::Menu),
            "menubar" => Ok(Self::Menubar),
            "menuitem" => Ok(Self::Menuitem),
            "menuitemcheckbox" => Ok(Self::Menuitemcheckbox),
            "menuitemradio" => Ok(Self::Menuitemradio),
            "meter" => Ok(Self::Meter),
            "navigation" => Ok(Self::Navigation),
            "none" => Ok(Self::None),
            "note" => Ok(Self::Note),
            "option" => Ok(Self::Option),
            "paragraph" => Ok(Self::Paragraph),
            "presentation" => Ok(Self::Presentation),
            "progressbar" => Ok(Self::Progressbar),
            "radio" => Ok(Self::Radio),
            "radiogroup" => Ok(Self::Radiogroup),
            "region" => Ok(Self::Region),
            "row" => Ok(Self::Row),
            "rowgroup" => Ok(Self::Rowgroup),
            "rowheader" => Ok(Self::Rowheader),
            "scrollbar" => Ok(Self::Scrollbar),
            "search" => Ok(Self::Search),
            "searchbox" => Ok(Self::Searchbox),
            "separator" => Ok(Self::Separator),
            "slider" => Ok(Self::Slider),
            "spinbutton" => Ok(Self::Spinbutton),
            "status" => Ok(Self::Status),
            "strong" => Ok(Self::Strong),
            "subscript" => Ok(Self::Subscript),
            "suggestion" => Ok(Self::Suggestion),
            "superscript" => Ok(Self::Superscript),
            "switch" => Ok(Self::Switch),
            "tab" => Ok(Self::Tab),
            "table" => Ok(Self::Table),
            "tablist" => Ok(Self::Tablist),
            "tabpanel" => Ok(Self::Tabpanel),
            "term" => Ok(Self::Term),
            "textbox" => Ok(Self::Textbox),
            "time" => Ok(Self::Time),
            "timer" => Ok(Self::Timer),
            "toolbar" => Ok(Self::Toolbar),
            "tooltip" => Ok(Self::Tooltip),
            "tree" => Ok(Self::Tree),
            "treegrid" => Ok(Self::Treegrid),
            "treeitem" => Ok(Self::Treeitem),
            _ => Err(()),
        }
    }
}
impl std::fmt::Display for AriaRole {
    fn fmt(&self, fmt: &mut std::fmt::Formatter) -> std::fmt::Result {
        fmt.write_str(self.as_str())
    }
}
impl AriaRole {
    pub fn is_deprecated(self) -> bool {
        matches!(self, Self::Directory)
    }
    pub const fn base_html_elements(self) -> &'static [HtmlElementInstance] {
        match self {
            Self::Button => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Button,
                        attributes: &[],
                    },
                ]
            }
            Self::Cell => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Td,
                        attributes: &[],
                    },
                ]
            }
            Self::Columnheader => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Th,
                        attributes: &[
                            HtmlAttributeInstance {
                                attribute: HtmlAttribute::Scope,
                                value: "col",
                            },
                        ],
                    },
                ]
            }
            Self::Form => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Form,
                        attributes: &[],
                    },
                ]
            }
            Self::Grid => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Table,
                        attributes: &[],
                    },
                ]
            }
            Self::Gridcell => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Td,
                        attributes: &[],
                    },
                ]
            }
            Self::List => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Ol,
                        attributes: &[],
                    },
                    HtmlElementInstance {
                        element: HtmlElement::Ul,
                        attributes: &[],
                    },
                ]
            }
            Self::Listitem => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Li,
                        attributes: &[],
                    },
                ]
            }
            Self::Option => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Option,
                        attributes: &[],
                    },
                ]
            }
            Self::Row => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Tr,
                        attributes: &[],
                    },
                ]
            }
            Self::Rowgroup => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Tbody,
                        attributes: &[],
                    },
                    HtmlElementInstance {
                        element: HtmlElement::Tfoot,
                        attributes: &[],
                    },
                    HtmlElementInstance {
                        element: HtmlElement::Thead,
                        attributes: &[],
                    },
                ]
            }
            Self::Rowheader => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Th,
                        attributes: &[
                            HtmlAttributeInstance {
                                attribute: HtmlAttribute::Scope,
                                value: "row",
                            },
                        ],
                    },
                ]
            }
            Self::Search => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Search,
                        attributes: &[],
                    },
                ]
            }
            Self::Searchbox => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Input,
                        attributes: &[
                            HtmlAttributeInstance {
                                attribute: HtmlAttribute::Type,
                                value: "search",
                            },
                        ],
                    },
                ]
            }
            Self::Table => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Table,
                        attributes: &[],
                    },
                ]
            }
            _ => &[],
        }
    }
    pub const fn related_html_elements(self) -> &'static [HtmlElementInstance] {
        match self {
            Self::Article => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Article,
                        attributes: &[],
                    },
                ]
            }
            Self::Banner => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Header,
                        attributes: &[],
                    },
                ]
            }
            Self::Blockquote => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Blockquote,
                        attributes: &[],
                    },
                ]
            }
            Self::Caption => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Caption,
                        attributes: &[],
                    },
                    HtmlElementInstance {
                        element: HtmlElement::Figcaption,
                        attributes: &[],
                    },
                    HtmlElementInstance {
                        element: HtmlElement::Legend,
                        attributes: &[],
                    },
                ]
            }
            Self::Checkbox => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Input,
                        attributes: &[
                            HtmlAttributeInstance {
                                attribute: HtmlAttribute::Type,
                                value: "checkbox",
                            },
                        ],
                    },
                ]
            }
            Self::Code => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Code,
                        attributes: &[],
                    },
                ]
            }
            Self::Combobox => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Select,
                        attributes: &[],
                    },
                ]
            }
            Self::Complementary => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Aside,
                        attributes: &[],
                    },
                ]
            }
            Self::Contentinfo => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Footer,
                        attributes: &[],
                    },
                ]
            }
            Self::Deletion => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Del,
                        attributes: &[],
                    },
                    HtmlElementInstance {
                        element: HtmlElement::S,
                        attributes: &[],
                    },
                ]
            }
            Self::Emphasis => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Em,
                        attributes: &[],
                    },
                ]
            }
            Self::Figure => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Figure,
                        attributes: &[],
                    },
                ]
            }
            Self::Generic => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Div,
                        attributes: &[],
                    },
                    HtmlElementInstance {
                        element: HtmlElement::Span,
                        attributes: &[],
                    },
                ]
            }
            Self::Group => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Fieldset,
                        attributes: &[],
                    },
                ]
            }
            Self::Heading => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::H1,
                        attributes: &[],
                    },
                    HtmlElementInstance {
                        element: HtmlElement::H2,
                        attributes: &[],
                    },
                    HtmlElementInstance {
                        element: HtmlElement::H3,
                        attributes: &[],
                    },
                    HtmlElementInstance {
                        element: HtmlElement::H4,
                        attributes: &[],
                    },
                    HtmlElementInstance {
                        element: HtmlElement::H5,
                        attributes: &[],
                    },
                    HtmlElementInstance {
                        element: HtmlElement::H6,
                        attributes: &[],
                    },
                ]
            }
            Self::Img => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Img,
                        attributes: &[],
                    },
                ]
            }
            Self::Insertion => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Ins,
                        attributes: &[],
                    },
                ]
            }
            Self::Link => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::A,
                        attributes: &[],
                    },
                    HtmlElementInstance {
                        element: HtmlElement::Link,
                        attributes: &[],
                    },
                ]
            }
            Self::Listbox => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Select,
                        attributes: &[],
                    },
                ]
            }
            Self::Main => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Main,
                        attributes: &[],
                    },
                ]
            }
            Self::Mark => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Mark,
                        attributes: &[],
                    },
                ]
            }
            Self::Meter => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Meter,
                        attributes: &[],
                    },
                ]
            }
            Self::Navigation => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Nav,
                        attributes: &[],
                    },
                ]
            }
            Self::Paragraph => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::P,
                        attributes: &[],
                    },
                ]
            }
            Self::Radio => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Input,
                        attributes: &[
                            HtmlAttributeInstance {
                                attribute: HtmlAttribute::Type,
                                value: "radio",
                            },
                        ],
                    },
                ]
            }
            Self::Region => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Section,
                        attributes: &[],
                    },
                ]
            }
            Self::Separator => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Hr,
                        attributes: &[],
                    },
                ]
            }
            Self::Status => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Output,
                        attributes: &[],
                    },
                ]
            }
            Self::Strong => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Strong,
                        attributes: &[],
                    },
                ]
            }
            Self::Subscript => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Sub,
                        attributes: &[],
                    },
                    HtmlElementInstance {
                        element: HtmlElement::Sup,
                        attributes: &[],
                    },
                ]
            }
            Self::Superscript => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Sub,
                        attributes: &[],
                    },
                    HtmlElementInstance {
                        element: HtmlElement::Sup,
                        attributes: &[],
                    },
                ]
            }
            Self::Term => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Dfn,
                        attributes: &[],
                    },
                ]
            }
            Self::Textbox => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Input,
                        attributes: &[
                            HtmlAttributeInstance {
                                attribute: HtmlAttribute::Type,
                                value: "text",
                            },
                        ],
                    },
                    HtmlElementInstance {
                        element: HtmlElement::Textarea,
                        attributes: &[],
                    },
                ]
            }
            Self::Time => {
                &[
                    HtmlElementInstance {
                        element: HtmlElement::Time,
                        attributes: &[],
                    },
                ]
            }
            _ => &[],
        }
    }
    pub const fn inherited_abstract_roles(self) -> AriaAbstractRoles {
        match self {
            Self::Alert => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Alertdialog => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                        AriaAbstractRole::Window,
                    ],
                )
            }
            Self::Application => {
                AriaAbstractRoles(
                    &[AriaAbstractRole::Roletype, AriaAbstractRole::Structure],
                )
            }
            Self::Article => {
                AriaAbstractRoles(
                    &[AriaAbstractRole::Roletype, AriaAbstractRole::Structure],
                )
            }
            Self::Banner => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Landmark,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Blockquote => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Button => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Command,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            Self::Caption => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Cell => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Checkbox => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Input,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            Self::Code => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Columnheader => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Sectionhead,
                        AriaAbstractRole::Structure,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            Self::Combobox => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Input,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            Self::Comment => {
                AriaAbstractRoles(
                    &[AriaAbstractRole::Roletype, AriaAbstractRole::Structure],
                )
            }
            Self::Complementary => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Landmark,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Contentinfo => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Landmark,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Definition => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Deletion => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Dialog => {
                AriaAbstractRoles(
                    &[AriaAbstractRole::Roletype, AriaAbstractRole::Window],
                )
            }
            Self::Directory => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::DocAbstract => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::DocAcknowledgments => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Landmark,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::DocAfterword => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Landmark,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::DocAppendix => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Landmark,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::DocBacklink => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Command,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            Self::DocBibliography => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Landmark,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::DocBiblioref => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Command,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            Self::DocChapter => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Landmark,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::DocColophon => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::DocConclusion => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Landmark,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::DocCover => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::DocCredit => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::DocCredits => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Landmark,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::DocDedication => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::DocEndnote => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::DocEndnotes => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Landmark,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::DocEpigraph => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::DocEpilogue => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Landmark,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::DocErrata => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Landmark,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::DocExample => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::DocFootnote => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::DocForeword => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Landmark,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::DocGlossary => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Landmark,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::DocGlossref => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Command,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            Self::DocIndex => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Landmark,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::DocIntroduction => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Landmark,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::DocNoteref => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Command,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            Self::DocNotice => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::DocPagebreak => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Structure,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            Self::DocPagefooter => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::DocPageheader => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::DocPagelist => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Landmark,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::DocPart => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Landmark,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::DocPreface => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Landmark,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::DocPrologue => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Landmark,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::DocPullquote => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::DocQna => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::DocSubtitle => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Sectionhead,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::DocTip => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::DocToc => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Landmark,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Document => {
                AriaAbstractRoles(
                    &[AriaAbstractRole::Roletype, AriaAbstractRole::Structure],
                )
            }
            Self::Emphasis => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Feed => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Figure => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Form => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Landmark,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Generic => {
                AriaAbstractRoles(
                    &[AriaAbstractRole::Roletype, AriaAbstractRole::Structure],
                )
            }
            Self::GraphicsDocument => {
                AriaAbstractRoles(
                    &[AriaAbstractRole::Roletype, AriaAbstractRole::Structure],
                )
            }
            Self::GraphicsObject => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::GraphicsSymbol => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Grid => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Composite,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            Self::Gridcell => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            Self::Group => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Heading => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Sectionhead,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Img => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Insertion => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Link => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Command,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            Self::List => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Listbox => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Composite,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Select,
                        AriaAbstractRole::Structure,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            Self::Listitem => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Log => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Main => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Landmark,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Mark => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Marquee => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Math => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Menu => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Composite,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Select,
                        AriaAbstractRole::Structure,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            Self::Menubar => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Composite,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Select,
                        AriaAbstractRole::Structure,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            Self::Menuitem => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Command,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            Self::Menuitemcheckbox => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Command,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            Self::Menuitemradio => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Command,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            Self::Meter => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Range,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Navigation => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Landmark,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::None => {
                AriaAbstractRoles(
                    &[AriaAbstractRole::Roletype, AriaAbstractRole::Structure],
                )
            }
            Self::Note => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Option => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Input,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            Self::Paragraph => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Progressbar => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Range,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Structure,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            Self::Radio => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Input,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            Self::Radiogroup => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Composite,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Select,
                        AriaAbstractRole::Structure,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            Self::Region => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Landmark,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Row => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            Self::Rowgroup => {
                AriaAbstractRoles(
                    &[AriaAbstractRole::Roletype, AriaAbstractRole::Structure],
                )
            }
            Self::Rowheader => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Sectionhead,
                        AriaAbstractRole::Structure,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            Self::Scrollbar => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Range,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Structure,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            Self::Search => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Landmark,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Searchbox => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Input,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            Self::Separator => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Structure,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            Self::Slider => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Input,
                        AriaAbstractRole::Range,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Structure,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            Self::Spinbutton => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Composite,
                        AriaAbstractRole::Input,
                        AriaAbstractRole::Range,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Structure,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            Self::Status => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Strong => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Subscript => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Suggestion => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Superscript => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Switch => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Input,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            Self::Tab => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Sectionhead,
                        AriaAbstractRole::Structure,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            Self::Table => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Tablist => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Composite,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            Self::Tabpanel => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Term => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Textbox => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Input,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            Self::Time => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Timer => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Toolbar => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Tooltip => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                    ],
                )
            }
            Self::Tree => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Composite,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Select,
                        AriaAbstractRole::Structure,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            Self::Treegrid => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Composite,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Select,
                        AriaAbstractRole::Structure,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            Self::Treeitem => {
                AriaAbstractRoles(
                    &[
                        AriaAbstractRole::Input,
                        AriaAbstractRole::Roletype,
                        AriaAbstractRole::Section,
                        AriaAbstractRole::Structure,
                        AriaAbstractRole::Widget,
                    ],
                )
            }
            _ => AriaAbstractRoles::empty(),
        }
    }
    pub const fn inherited_roles(self) -> AriaRoles {
        match self {
            Self::Alertdialog => AriaRoles(&[AriaRole::Alert, AriaRole::Dialog]),
            Self::Article => AriaRoles(&[AriaRole::Document]),
            Self::Columnheader => AriaRoles(&[AriaRole::Cell, AriaRole::Gridcell]),
            Self::Comment => AriaRoles(&[AriaRole::Article, AriaRole::Document]),
            Self::Directory => AriaRoles(&[AriaRole::List]),
            Self::DocBacklink => AriaRoles(&[AriaRole::Link]),
            Self::DocBiblioref => AriaRoles(&[AriaRole::Link]),
            Self::DocCover => AriaRoles(&[AriaRole::Img]),
            Self::DocEndnote => AriaRoles(&[AriaRole::Listitem]),
            Self::DocExample => AriaRoles(&[AriaRole::Figure]),
            Self::DocGlossref => AriaRoles(&[AriaRole::Link]),
            Self::DocIndex => AriaRoles(&[AriaRole::Navigation]),
            Self::DocNoteref => AriaRoles(&[AriaRole::Link]),
            Self::DocNotice => AriaRoles(&[AriaRole::Note]),
            Self::DocPagebreak => AriaRoles(&[AriaRole::Separator]),
            Self::DocPagelist => AriaRoles(&[AriaRole::Navigation]),
            Self::DocTip => AriaRoles(&[AriaRole::Note]),
            Self::DocToc => AriaRoles(&[AriaRole::Navigation]),
            Self::Feed => AriaRoles(&[AriaRole::List]),
            Self::GraphicsDocument => AriaRoles(&[AriaRole::Document]),
            Self::GraphicsObject => AriaRoles(&[AriaRole::Group]),
            Self::GraphicsSymbol => AriaRoles(&[AriaRole::Img]),
            Self::Grid => AriaRoles(&[AriaRole::Table]),
            Self::Gridcell => AriaRoles(&[AriaRole::Cell]),
            Self::Listbox => AriaRoles(&[AriaRole::Group]),
            Self::Menu => AriaRoles(&[AriaRole::Group]),
            Self::Menubar => AriaRoles(&[AriaRole::Group, AriaRole::Menu]),
            Self::Menuitemcheckbox => AriaRoles(&[AriaRole::Menuitem]),
            Self::Menuitemradio => AriaRoles(&[AriaRole::Menuitem]),
            Self::Radiogroup => AriaRoles(&[AriaRole::Group]),
            Self::Row => AriaRoles(&[AriaRole::Group]),
            Self::Rowheader => AriaRoles(&[AriaRole::Cell, AriaRole::Gridcell]),
            Self::Searchbox => AriaRoles(&[AriaRole::Textbox]),
            Self::Switch => AriaRoles(&[AriaRole::Checkbox]),
            Self::Timer => AriaRoles(&[AriaRole::Status]),
            Self::Toolbar => AriaRoles(&[AriaRole::Group]),
            Self::Tree => AriaRoles(&[AriaRole::Group]),
            Self::Treegrid => {
                AriaRoles(
                    &[AriaRole::Grid, AriaRole::Group, AriaRole::Table, AriaRole::Tree],
                )
            }
            Self::Treeitem => AriaRoles(&[AriaRole::Listitem, AriaRole::Option]),
            _ => AriaRoles::empty(),
        }
    }
    pub const fn required_parent_roles(self) -> AriaRoles {
        match self {
            Self::Caption => {
                AriaRoles(
                    &[
                        AriaRole::Figure,
                        AriaRole::Grid,
                        AriaRole::Group,
                        AriaRole::Radiogroup,
                        AriaRole::Table,
                        AriaRole::Treegrid,
                    ],
                )
            }
            Self::Cell => AriaRoles(&[AriaRole::Row]),
            Self::Columnheader => AriaRoles(&[AriaRole::Row]),
            Self::Gridcell => AriaRoles(&[AriaRole::Row]),
            Self::Listitem => AriaRoles(&[AriaRole::Directory, AriaRole::List]),
            Self::Menuitem => {
                AriaRoles(&[AriaRole::Group, AriaRole::Menu, AriaRole::Menubar])
            }
            Self::Menuitemcheckbox => {
                AriaRoles(&[AriaRole::Group, AriaRole::Menu, AriaRole::Menubar])
            }
            Self::Menuitemradio => {
                AriaRoles(&[AriaRole::Group, AriaRole::Menu, AriaRole::Menubar])
            }
            Self::Option => AriaRoles(&[AriaRole::Group, AriaRole::Listbox]),
            Self::Row => {
                AriaRoles(
                    &[
                        AriaRole::Grid,
                        AriaRole::Rowgroup,
                        AriaRole::Table,
                        AriaRole::Treegrid,
                    ],
                )
            }
            Self::Rowgroup => {
                AriaRoles(&[AriaRole::Grid, AriaRole::Table, AriaRole::Treegrid])
            }
            Self::Rowheader => AriaRoles(&[AriaRole::Row]),
            Self::Tab => AriaRoles(&[AriaRole::Tablist]),
            Self::Treeitem => {
                AriaRoles(&[AriaRole::Group, AriaRole::Tree, AriaRole::Treeitem])
            }
            _ => AriaRoles::empty(),
        }
    }
    pub const fn required_attributes(self) -> AriaAttributes {
        match self {
            Self::Checkbox => AriaAttributes(&[AriaAttribute::AriaChecked]),
            Self::Combobox => AriaAttributes(&[AriaAttribute::AriaExpanded]),
            Self::Heading => AriaAttributes(&[AriaAttribute::AriaLevel]),
            Self::Menuitemcheckbox => AriaAttributes(&[AriaAttribute::AriaChecked]),
            Self::Menuitemradio => AriaAttributes(&[AriaAttribute::AriaChecked]),
            Self::Meter => AriaAttributes(&[AriaAttribute::AriaValuenow]),
            Self::Radio => AriaAttributes(&[AriaAttribute::AriaChecked]),
            Self::Scrollbar => {
                AriaAttributes(
                    &[AriaAttribute::AriaControls, AriaAttribute::AriaValuenow],
                )
            }
            Self::Separator => AriaAttributes(&[AriaAttribute::AriaValuenow]),
            Self::Slider => AriaAttributes(&[AriaAttribute::AriaValuenow]),
            Self::Switch => AriaAttributes(&[AriaAttribute::AriaChecked]),
            _ => AriaAttributes::empty(),
        }
    }
    pub const fn attributes(self) -> AriaAttributes {
        match self {
            Self::Alert => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Alertdialog => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaModal,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Application => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaActivedescendant,
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaExpanded,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Article => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaPosinset,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                        AriaAttribute::AriaSetsize,
                    ],
                )
            }
            Self::Banner => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Blockquote => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Button => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaExpanded,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaPressed,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Caption => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Cell => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaColindex,
                        AriaAttribute::AriaColindextext,
                        AriaAttribute::AriaColspan,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                        AriaAttribute::AriaRowindex,
                        AriaAttribute::AriaRowindextext,
                        AriaAttribute::AriaRowspan,
                    ],
                )
            }
            Self::Checkbox => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaChecked,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaExpanded,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaReadonly,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRequired,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Code => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Columnheader => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaColindex,
                        AriaAttribute::AriaColindextext,
                        AriaAttribute::AriaColspan,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaExpanded,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaReadonly,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRequired,
                        AriaAttribute::AriaRoledescription,
                        AriaAttribute::AriaRowindex,
                        AriaAttribute::AriaRowindextext,
                        AriaAttribute::AriaRowspan,
                        AriaAttribute::AriaSelected,
                        AriaAttribute::AriaSort,
                    ],
                )
            }
            Self::Combobox => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaActivedescendant,
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaAutocomplete,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaExpanded,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaReadonly,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRequired,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Comment => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLevel,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaPosinset,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                        AriaAttribute::AriaSetsize,
                    ],
                )
            }
            Self::Complementary => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Contentinfo => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Definition => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Deletion => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Dialog => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaModal,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Directory => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocAbstract => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocAcknowledgments => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocAfterword => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocAppendix => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocBacklink => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaExpanded,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocBibliography => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocBiblioref => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaExpanded,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocChapter => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocColophon => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocConclusion => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocCover => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocCredit => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocCredits => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocDedication => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocEndnote => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaPosinset,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                        AriaAttribute::AriaSetsize,
                    ],
                )
            }
            Self::DocEndnotes => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocEpigraph => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocEpilogue => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocErrata => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocExample => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocFootnote => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocForeword => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocGlossary => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocGlossref => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaExpanded,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocIndex => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocIntroduction => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocNoteref => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaExpanded,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocNotice => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocPagebreak => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOrientation,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                        AriaAttribute::AriaValuemax,
                        AriaAttribute::AriaValuemin,
                        AriaAttribute::AriaValuenow,
                        AriaAttribute::AriaValuetext,
                    ],
                )
            }
            Self::DocPagefooter => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocPageheader => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocPagelist => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocPart => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocPreface => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocPrologue => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocPullquote => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocQna => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocSubtitle => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocTip => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::DocToc => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Document => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Emphasis => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Feed => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Figure => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Form => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Generic => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                    ],
                )
            }
            Self::GraphicsDocument => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaExpanded,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::GraphicsObject => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaActivedescendant,
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaExpanded,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::GraphicsSymbol => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaExpanded,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Grid => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaActivedescendant,
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaColcount,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaMultiselectable,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaReadonly,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                        AriaAttribute::AriaRowcount,
                    ],
                )
            }
            Self::Gridcell => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaColindex,
                        AriaAttribute::AriaColindextext,
                        AriaAttribute::AriaColspan,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaExpanded,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaReadonly,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRequired,
                        AriaAttribute::AriaRoledescription,
                        AriaAttribute::AriaRowindex,
                        AriaAttribute::AriaRowindextext,
                        AriaAttribute::AriaRowspan,
                        AriaAttribute::AriaSelected,
                    ],
                )
            }
            Self::Group => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaActivedescendant,
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Heading => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLevel,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Img => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Insertion => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Link => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaExpanded,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::List => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Listbox => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaActivedescendant,
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaExpanded,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaMultiselectable,
                        AriaAttribute::AriaOrientation,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaReadonly,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRequired,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Listitem => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaPosinset,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                        AriaAttribute::AriaSetsize,
                    ],
                )
            }
            Self::Log => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Main => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Mark => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Marquee => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Math => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Menu => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaActivedescendant,
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOrientation,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Menubar => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaActivedescendant,
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOrientation,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Menuitem => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaExpanded,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaPosinset,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                        AriaAttribute::AriaSetsize,
                    ],
                )
            }
            Self::Menuitemcheckbox => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaChecked,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaExpanded,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaPosinset,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                        AriaAttribute::AriaSetsize,
                    ],
                )
            }
            Self::Menuitemradio => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaChecked,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaExpanded,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaPosinset,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                        AriaAttribute::AriaSetsize,
                    ],
                )
            }
            Self::Meter => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                        AriaAttribute::AriaValuemax,
                        AriaAttribute::AriaValuemin,
                        AriaAttribute::AriaValuenow,
                        AriaAttribute::AriaValuetext,
                    ],
                )
            }
            Self::Navigation => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::None => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Note => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Option => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaChecked,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaPosinset,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                        AriaAttribute::AriaSelected,
                        AriaAttribute::AriaSetsize,
                    ],
                )
            }
            Self::Paragraph => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Progressbar => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                        AriaAttribute::AriaValuemax,
                        AriaAttribute::AriaValuemin,
                        AriaAttribute::AriaValuenow,
                        AriaAttribute::AriaValuetext,
                    ],
                )
            }
            Self::Radio => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaChecked,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaPosinset,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                        AriaAttribute::AriaSetsize,
                    ],
                )
            }
            Self::Radiogroup => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaActivedescendant,
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOrientation,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaReadonly,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRequired,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Region => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Row => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaActivedescendant,
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaColindex,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaExpanded,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLevel,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaPosinset,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                        AriaAttribute::AriaRowindex,
                        AriaAttribute::AriaRowindextext,
                        AriaAttribute::AriaSelected,
                        AriaAttribute::AriaSetsize,
                    ],
                )
            }
            Self::Rowgroup => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Rowheader => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaColindex,
                        AriaAttribute::AriaColindextext,
                        AriaAttribute::AriaColspan,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaExpanded,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaReadonly,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRequired,
                        AriaAttribute::AriaRoledescription,
                        AriaAttribute::AriaRowindex,
                        AriaAttribute::AriaRowindextext,
                        AriaAttribute::AriaRowspan,
                        AriaAttribute::AriaSelected,
                        AriaAttribute::AriaSort,
                    ],
                )
            }
            Self::Scrollbar => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOrientation,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                        AriaAttribute::AriaValuemax,
                        AriaAttribute::AriaValuemin,
                        AriaAttribute::AriaValuenow,
                        AriaAttribute::AriaValuetext,
                    ],
                )
            }
            Self::Search => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Searchbox => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaActivedescendant,
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaAutocomplete,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaMultiline,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaPlaceholder,
                        AriaAttribute::AriaReadonly,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRequired,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Separator => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOrientation,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                        AriaAttribute::AriaValuemax,
                        AriaAttribute::AriaValuemin,
                        AriaAttribute::AriaValuenow,
                        AriaAttribute::AriaValuetext,
                    ],
                )
            }
            Self::Slider => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOrientation,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaReadonly,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                        AriaAttribute::AriaValuemax,
                        AriaAttribute::AriaValuemin,
                        AriaAttribute::AriaValuenow,
                        AriaAttribute::AriaValuetext,
                    ],
                )
            }
            Self::Spinbutton => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaActivedescendant,
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaReadonly,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRequired,
                        AriaAttribute::AriaRoledescription,
                        AriaAttribute::AriaValuemax,
                        AriaAttribute::AriaValuemin,
                        AriaAttribute::AriaValuenow,
                        AriaAttribute::AriaValuetext,
                    ],
                )
            }
            Self::Status => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Strong => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Subscript => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Suggestion => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Superscript => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Switch => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaChecked,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaExpanded,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaReadonly,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRequired,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Tab => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaExpanded,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaPosinset,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                        AriaAttribute::AriaSelected,
                        AriaAttribute::AriaSetsize,
                    ],
                )
            }
            Self::Table => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaColcount,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                        AriaAttribute::AriaRowcount,
                    ],
                )
            }
            Self::Tablist => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaActivedescendant,
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaMultiselectable,
                        AriaAttribute::AriaOrientation,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Tabpanel => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Term => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Textbox => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaActivedescendant,
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaAutocomplete,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaMultiline,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaPlaceholder,
                        AriaAttribute::AriaReadonly,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRequired,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Time => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Timer => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Toolbar => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaActivedescendant,
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOrientation,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Tooltip => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Tree => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaActivedescendant,
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaMultiselectable,
                        AriaAttribute::AriaOrientation,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRequired,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Treegrid => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaActivedescendant,
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaColcount,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaMultiselectable,
                        AriaAttribute::AriaOrientation,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaReadonly,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRequired,
                        AriaAttribute::AriaRoledescription,
                        AriaAttribute::AriaRowcount,
                    ],
                )
            }
            Self::Treeitem => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaAtomic,
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaBusy,
                        AriaAttribute::AriaChecked,
                        AriaAttribute::AriaControls,
                        AriaAttribute::AriaCurrent,
                        AriaAttribute::AriaDescribedby,
                        AriaAttribute::AriaDescription,
                        AriaAttribute::AriaDetails,
                        AriaAttribute::AriaDisabled,
                        AriaAttribute::AriaDropeffect,
                        AriaAttribute::AriaErrormessage,
                        AriaAttribute::AriaExpanded,
                        AriaAttribute::AriaFlowto,
                        AriaAttribute::AriaGrabbed,
                        AriaAttribute::AriaHaspopup,
                        AriaAttribute::AriaHidden,
                        AriaAttribute::AriaInvalid,
                        AriaAttribute::AriaKeyshortcuts,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaLevel,
                        AriaAttribute::AriaLive,
                        AriaAttribute::AriaOwns,
                        AriaAttribute::AriaPosinset,
                        AriaAttribute::AriaRelevant,
                        AriaAttribute::AriaRoledescription,
                        AriaAttribute::AriaSelected,
                        AriaAttribute::AriaSetsize,
                    ],
                )
            }
            _ => AriaAttributes::empty(),
        }
    }
    pub const fn prohibited_attributes(self) -> AriaAttributes {
        match self {
            Self::Caption => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                    ],
                )
            }
            Self::Code => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                    ],
                )
            }
            Self::Definition => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                    ],
                )
            }
            Self::Deletion => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                    ],
                )
            }
            Self::Emphasis => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                    ],
                )
            }
            Self::Generic => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaBrailleroledescription,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                        AriaAttribute::AriaRoledescription,
                    ],
                )
            }
            Self::Insertion => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                    ],
                )
            }
            Self::Mark => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                    ],
                )
            }
            Self::None => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                    ],
                )
            }
            Self::Paragraph => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                    ],
                )
            }
            Self::Strong => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                    ],
                )
            }
            Self::Subscript => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                    ],
                )
            }
            Self::Suggestion => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                    ],
                )
            }
            Self::Superscript => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                    ],
                )
            }
            Self::Term => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                    ],
                )
            }
            Self::Time => {
                AriaAttributes(
                    &[
                        AriaAttribute::AriaBraillelabel,
                        AriaAttribute::AriaLabel,
                        AriaAttribute::AriaLabelledby,
                    ],
                )
            }
            _ => AriaAttributes::empty(),
        }
    }
}
#[derive(Clone, Copy, Debug, Eq, Hash, Ord, PartialEq, PartialOrd)]
pub enum IsoCountries {
    Af,
    Al,
    Dz,
    As,
    Ad,
    Ao,
    Ai,
    Aq,
    Ag,
    Ar,
    Am,
    Aw,
    Au,
    At,
    Az,
    Bs,
    Bh,
    Bd,
    Bb,
    By,
    Be,
    Bz,
    Bj,
    Bm,
    Bt,
    Bo,
    Ba,
    Bw,
    Br,
    Io,
    Vg,
    Bn,
    Bg,
    Bf,
    Mm,
    Bi,
    Kh,
    Cm,
    Ca,
    Cv,
    Ky,
    Cf,
    Td,
    Cl,
    Cn,
    Cx,
    Cc,
    Co,
    Km,
    Ck,
    Cr,
    Hr,
    Cu,
    Cy,
    Cz,
    Cd,
    Dk,
    Dj,
    Dm,
    Do,
    Ec,
    Eg,
    Sv,
    Gq,
    Er,
    Ee,
    Et,
    Fk,
    Fo,
    Fj,
    Fi,
    Fr,
    Pf,
    Ga,
    Gm,
    Ge,
    De,
    Gh,
    Gi,
    Gr,
    Gl,
    Gd,
    Gu,
    Gt,
    Gn,
    Gw,
    Gy,
    Ht,
    Va,
    Hn,
    Hk,
    Hu,
    Is,
    In,
    Id,
    Ir,
    Iq,
    Ie,
    Im,
    Il,
    It,
    Ci,
    Jm,
    Jp,
    Je,
    Jo,
    Kz,
    Ke,
    Ki,
    Kw,
    Kg,
    La,
    Lv,
    Lb,
    Ls,
    Lr,
    Ly,
    Li,
    Lt,
    Lu,
    Mo,
    Mk,
    Mg,
    Mw,
    My,
    Mv,
    Ml,
    Mt,
    Mh,
    Mr,
    Mu,
    Yt,
    Mx,
    Fm,
    Md,
    Mc,
    Mn,
    Me,
    Ms,
    Ma,
    Mz,
    Na,
    Nr,
    Np,
    Nl,
    An,
    Nc,
    Nz,
    Ni,
    Ne,
    Ng,
    Nu,
    Kp,
    Mp,
    No,
    Om,
    Pk,
    Pw,
    Pa,
    Pg,
    Py,
    Pe,
    Ph,
    Pn,
    Pl,
    Pt,
    Pr,
    Qa,
    Cg,
    Ro,
    Ru,
    Rw,
    Bl,
    Sh,
    Kn,
    Lc,
    Mf,
    Pm,
    Vc,
    Ws,
    Sm,
    St,
    Sa,
    Sn,
    Rs,
    Sc,
    Sl,
    Sg,
    Sk,
    Si,
    Sb,
    So,
    Za,
    Kr,
    Es,
    Lk,
    Sd,
    Sr,
    Sj,
    Sz,
    Se,
    Ch,
    Sy,
    Tw,
    Tj,
    Tz,
    Th,
    Tl,
    Tg,
    Tk,
    To,
    Tt,
    Tn,
    Tr,
    Tm,
    Tc,
    Tv,
    Ug,
    Ua,
    Ae,
    Gb,
    Us,
    Uy,
    Vi,
    Uz,
    Vu,
    Ve,
    Vn,
    Wf,
    Eh,
    Ye,
    Zm,
    Zw,
}
impl IsoCountries {
    pub const fn as_str(self) -> &'static str {
        match self {
            Self::Af => "AF",
            Self::Al => "AL",
            Self::Dz => "DZ",
            Self::As => "AS",
            Self::Ad => "AD",
            Self::Ao => "AO",
            Self::Ai => "AI",
            Self::Aq => "AQ",
            Self::Ag => "AG",
            Self::Ar => "AR",
            Self::Am => "AM",
            Self::Aw => "AW",
            Self::Au => "AU",
            Self::At => "AT",
            Self::Az => "AZ",
            Self::Bs => "BS",
            Self::Bh => "BH",
            Self::Bd => "BD",
            Self::Bb => "BB",
            Self::By => "BY",
            Self::Be => "BE",
            Self::Bz => "BZ",
            Self::Bj => "BJ",
            Self::Bm => "BM",
            Self::Bt => "BT",
            Self::Bo => "BO",
            Self::Ba => "BA",
            Self::Bw => "BW",
            Self::Br => "BR",
            Self::Io => "IO",
            Self::Vg => "VG",
            Self::Bn => "BN",
            Self::Bg => "BG",
            Self::Bf => "BF",
            Self::Mm => "MM",
            Self::Bi => "BI",
            Self::Kh => "KH",
            Self::Cm => "CM",
            Self::Ca => "CA",
            Self::Cv => "CV",
            Self::Ky => "KY",
            Self::Cf => "CF",
            Self::Td => "TD",
            Self::Cl => "CL",
            Self::Cn => "CN",
            Self::Cx => "CX",
            Self::Cc => "CC",
            Self::Co => "CO",
            Self::Km => "KM",
            Self::Ck => "CK",
            Self::Cr => "CR",
            Self::Hr => "HR",
            Self::Cu => "CU",
            Self::Cy => "CY",
            Self::Cz => "CZ",
            Self::Cd => "CD",
            Self::Dk => "DK",
            Self::Dj => "DJ",
            Self::Dm => "DM",
            Self::Do => "DO",
            Self::Ec => "EC",
            Self::Eg => "EG",
            Self::Sv => "SV",
            Self::Gq => "GQ",
            Self::Er => "ER",
            Self::Ee => "EE",
            Self::Et => "ET",
            Self::Fk => "FK",
            Self::Fo => "FO",
            Self::Fj => "FJ",
            Self::Fi => "FI",
            Self::Fr => "FR",
            Self::Pf => "PF",
            Self::Ga => "GA",
            Self::Gm => "GM",
            Self::Ge => "GE",
            Self::De => "DE",
            Self::Gh => "GH",
            Self::Gi => "GI",
            Self::Gr => "GR",
            Self::Gl => "GL",
            Self::Gd => "GD",
            Self::Gu => "GU",
            Self::Gt => "GT",
            Self::Gn => "GN",
            Self::Gw => "GW",
            Self::Gy => "GY",
            Self::Ht => "HT",
            Self::Va => "VA",
            Self::Hn => "HN",
            Self::Hk => "HK",
            Self::Hu => "HU",
            Self::Is => "IS",
            Self::In => "IN",
            Self::Id => "ID",
            Self::Ir => "IR",
            Self::Iq => "IQ",
            Self::Ie => "IE",
            Self::Im => "IM",
            Self::Il => "IL",
            Self::It => "IT",
            Self::Ci => "CI",
            Self::Jm => "JM",
            Self::Jp => "JP",
            Self::Je => "JE",
            Self::Jo => "JO",
            Self::Kz => "KZ",
            Self::Ke => "KE",
            Self::Ki => "KI",
            Self::Kw => "KW",
            Self::Kg => "KG",
            Self::La => "LA",
            Self::Lv => "LV",
            Self::Lb => "LB",
            Self::Ls => "LS",
            Self::Lr => "LR",
            Self::Ly => "LY",
            Self::Li => "LI",
            Self::Lt => "LT",
            Self::Lu => "LU",
            Self::Mo => "MO",
            Self::Mk => "MK",
            Self::Mg => "MG",
            Self::Mw => "MW",
            Self::My => "MY",
            Self::Mv => "MV",
            Self::Ml => "ML",
            Self::Mt => "MT",
            Self::Mh => "MH",
            Self::Mr => "MR",
            Self::Mu => "MU",
            Self::Yt => "YT",
            Self::Mx => "MX",
            Self::Fm => "FM",
            Self::Md => "MD",
            Self::Mc => "MC",
            Self::Mn => "MN",
            Self::Me => "ME",
            Self::Ms => "MS",
            Self::Ma => "MA",
            Self::Mz => "MZ",
            Self::Na => "NA",
            Self::Nr => "NR",
            Self::Np => "NP",
            Self::Nl => "NL",
            Self::An => "AN",
            Self::Nc => "NC",
            Self::Nz => "NZ",
            Self::Ni => "NI",
            Self::Ne => "NE",
            Self::Ng => "NG",
            Self::Nu => "NU",
            Self::Kp => "KP",
            Self::Mp => "MP",
            Self::No => "NO",
            Self::Om => "OM",
            Self::Pk => "PK",
            Self::Pw => "PW",
            Self::Pa => "PA",
            Self::Pg => "PG",
            Self::Py => "PY",
            Self::Pe => "PE",
            Self::Ph => "PH",
            Self::Pn => "PN",
            Self::Pl => "PL",
            Self::Pt => "PT",
            Self::Pr => "PR",
            Self::Qa => "QA",
            Self::Cg => "CG",
            Self::Ro => "RO",
            Self::Ru => "RU",
            Self::Rw => "RW",
            Self::Bl => "BL",
            Self::Sh => "SH",
            Self::Kn => "KN",
            Self::Lc => "LC",
            Self::Mf => "MF",
            Self::Pm => "PM",
            Self::Vc => "VC",
            Self::Ws => "WS",
            Self::Sm => "SM",
            Self::St => "ST",
            Self::Sa => "SA",
            Self::Sn => "SN",
            Self::Rs => "RS",
            Self::Sc => "SC",
            Self::Sl => "SL",
            Self::Sg => "SG",
            Self::Sk => "SK",
            Self::Si => "SI",
            Self::Sb => "SB",
            Self::So => "SO",
            Self::Za => "ZA",
            Self::Kr => "KR",
            Self::Es => "ES",
            Self::Lk => "LK",
            Self::Sd => "SD",
            Self::Sr => "SR",
            Self::Sj => "SJ",
            Self::Sz => "SZ",
            Self::Se => "SE",
            Self::Ch => "CH",
            Self::Sy => "SY",
            Self::Tw => "TW",
            Self::Tj => "TJ",
            Self::Tz => "TZ",
            Self::Th => "TH",
            Self::Tl => "TL",
            Self::Tg => "TG",
            Self::Tk => "TK",
            Self::To => "TO",
            Self::Tt => "TT",
            Self::Tn => "TN",
            Self::Tr => "TR",
            Self::Tm => "TM",
            Self::Tc => "TC",
            Self::Tv => "TV",
            Self::Ug => "UG",
            Self::Ua => "UA",
            Self::Ae => "AE",
            Self::Gb => "GB",
            Self::Us => "US",
            Self::Uy => "UY",
            Self::Vi => "VI",
            Self::Uz => "UZ",
            Self::Vu => "VU",
            Self::Ve => "VE",
            Self::Vn => "VN",
            Self::Wf => "WF",
            Self::Eh => "EH",
            Self::Ye => "YE",
            Self::Zm => "ZM",
            Self::Zw => "ZW",
        }
    }
}
impl std::str::FromStr for IsoCountries {
    type Err = ();
    fn from_str(s: &str) -> Result<Self, Self::Err> {
        match s {
            "AF" => Ok(Self::Af),
            "AL" => Ok(Self::Al),
            "DZ" => Ok(Self::Dz),
            "AS" => Ok(Self::As),
            "AD" => Ok(Self::Ad),
            "AO" => Ok(Self::Ao),
            "AI" => Ok(Self::Ai),
            "AQ" => Ok(Self::Aq),
            "AG" => Ok(Self::Ag),
            "AR" => Ok(Self::Ar),
            "AM" => Ok(Self::Am),
            "AW" => Ok(Self::Aw),
            "AU" => Ok(Self::Au),
            "AT" => Ok(Self::At),
            "AZ" => Ok(Self::Az),
            "BS" => Ok(Self::Bs),
            "BH" => Ok(Self::Bh),
            "BD" => Ok(Self::Bd),
            "BB" => Ok(Self::Bb),
            "BY" => Ok(Self::By),
            "BE" => Ok(Self::Be),
            "BZ" => Ok(Self::Bz),
            "BJ" => Ok(Self::Bj),
            "BM" => Ok(Self::Bm),
            "BT" => Ok(Self::Bt),
            "BO" => Ok(Self::Bo),
            "BA" => Ok(Self::Ba),
            "BW" => Ok(Self::Bw),
            "BR" => Ok(Self::Br),
            "IO" => Ok(Self::Io),
            "VG" => Ok(Self::Vg),
            "BN" => Ok(Self::Bn),
            "BG" => Ok(Self::Bg),
            "BF" => Ok(Self::Bf),
            "MM" => Ok(Self::Mm),
            "BI" => Ok(Self::Bi),
            "KH" => Ok(Self::Kh),
            "CM" => Ok(Self::Cm),
            "CA" => Ok(Self::Ca),
            "CV" => Ok(Self::Cv),
            "KY" => Ok(Self::Ky),
            "CF" => Ok(Self::Cf),
            "TD" => Ok(Self::Td),
            "CL" => Ok(Self::Cl),
            "CN" => Ok(Self::Cn),
            "CX" => Ok(Self::Cx),
            "CC" => Ok(Self::Cc),
            "CO" => Ok(Self::Co),
            "KM" => Ok(Self::Km),
            "CK" => Ok(Self::Ck),
            "CR" => Ok(Self::Cr),
            "HR" => Ok(Self::Hr),
            "CU" => Ok(Self::Cu),
            "CY" => Ok(Self::Cy),
            "CZ" => Ok(Self::Cz),
            "CD" => Ok(Self::Cd),
            "DK" => Ok(Self::Dk),
            "DJ" => Ok(Self::Dj),
            "DM" => Ok(Self::Dm),
            "DO" => Ok(Self::Do),
            "EC" => Ok(Self::Ec),
            "EG" => Ok(Self::Eg),
            "SV" => Ok(Self::Sv),
            "GQ" => Ok(Self::Gq),
            "ER" => Ok(Self::Er),
            "EE" => Ok(Self::Ee),
            "ET" => Ok(Self::Et),
            "FK" => Ok(Self::Fk),
            "FO" => Ok(Self::Fo),
            "FJ" => Ok(Self::Fj),
            "FI" => Ok(Self::Fi),
            "FR" => Ok(Self::Fr),
            "PF" => Ok(Self::Pf),
            "GA" => Ok(Self::Ga),
            "GM" => Ok(Self::Gm),
            "GE" => Ok(Self::Ge),
            "DE" => Ok(Self::De),
            "GH" => Ok(Self::Gh),
            "GI" => Ok(Self::Gi),
            "GR" => Ok(Self::Gr),
            "GL" => Ok(Self::Gl),
            "GD" => Ok(Self::Gd),
            "GU" => Ok(Self::Gu),
            "GT" => Ok(Self::Gt),
            "GN" => Ok(Self::Gn),
            "GW" => Ok(Self::Gw),
            "GY" => Ok(Self::Gy),
            "HT" => Ok(Self::Ht),
            "VA" => Ok(Self::Va),
            "HN" => Ok(Self::Hn),
            "HK" => Ok(Self::Hk),
            "HU" => Ok(Self::Hu),
            "IS" => Ok(Self::Is),
            "IN" => Ok(Self::In),
            "ID" => Ok(Self::Id),
            "IR" => Ok(Self::Ir),
            "IQ" => Ok(Self::Iq),
            "IE" => Ok(Self::Ie),
            "IM" => Ok(Self::Im),
            "IL" => Ok(Self::Il),
            "IT" => Ok(Self::It),
            "CI" => Ok(Self::Ci),
            "JM" => Ok(Self::Jm),
            "JP" => Ok(Self::Jp),
            "JE" => Ok(Self::Je),
            "JO" => Ok(Self::Jo),
            "KZ" => Ok(Self::Kz),
            "KE" => Ok(Self::Ke),
            "KI" => Ok(Self::Ki),
            "KW" => Ok(Self::Kw),
            "KG" => Ok(Self::Kg),
            "LA" => Ok(Self::La),
            "LV" => Ok(Self::Lv),
            "LB" => Ok(Self::Lb),
            "LS" => Ok(Self::Ls),
            "LR" => Ok(Self::Lr),
            "LY" => Ok(Self::Ly),
            "LI" => Ok(Self::Li),
            "LT" => Ok(Self::Lt),
            "LU" => Ok(Self::Lu),
            "MO" => Ok(Self::Mo),
            "MK" => Ok(Self::Mk),
            "MG" => Ok(Self::Mg),
            "MW" => Ok(Self::Mw),
            "MY" => Ok(Self::My),
            "MV" => Ok(Self::Mv),
            "ML" => Ok(Self::Ml),
            "MT" => Ok(Self::Mt),
            "MH" => Ok(Self::Mh),
            "MR" => Ok(Self::Mr),
            "MU" => Ok(Self::Mu),
            "YT" => Ok(Self::Yt),
            "MX" => Ok(Self::Mx),
            "FM" => Ok(Self::Fm),
            "MD" => Ok(Self::Md),
            "MC" => Ok(Self::Mc),
            "MN" => Ok(Self::Mn),
            "ME" => Ok(Self::Me),
            "MS" => Ok(Self::Ms),
            "MA" => Ok(Self::Ma),
            "MZ" => Ok(Self::Mz),
            "NA" => Ok(Self::Na),
            "NR" => Ok(Self::Nr),
            "NP" => Ok(Self::Np),
            "NL" => Ok(Self::Nl),
            "AN" => Ok(Self::An),
            "NC" => Ok(Self::Nc),
            "NZ" => Ok(Self::Nz),
            "NI" => Ok(Self::Ni),
            "NE" => Ok(Self::Ne),
            "NG" => Ok(Self::Ng),
            "NU" => Ok(Self::Nu),
            "KP" => Ok(Self::Kp),
            "MP" => Ok(Self::Mp),
            "NO" => Ok(Self::No),
            "OM" => Ok(Self::Om),
            "PK" => Ok(Self::Pk),
            "PW" => Ok(Self::Pw),
            "PA" => Ok(Self::Pa),
            "PG" => Ok(Self::Pg),
            "PY" => Ok(Self::Py),
            "PE" => Ok(Self::Pe),
            "PH" => Ok(Self::Ph),
            "PN" => Ok(Self::Pn),
            "PL" => Ok(Self::Pl),
            "PT" => Ok(Self::Pt),
            "PR" => Ok(Self::Pr),
            "QA" => Ok(Self::Qa),
            "CG" => Ok(Self::Cg),
            "RO" => Ok(Self::Ro),
            "RU" => Ok(Self::Ru),
            "RW" => Ok(Self::Rw),
            "BL" => Ok(Self::Bl),
            "SH" => Ok(Self::Sh),
            "KN" => Ok(Self::Kn),
            "LC" => Ok(Self::Lc),
            "MF" => Ok(Self::Mf),
            "PM" => Ok(Self::Pm),
            "VC" => Ok(Self::Vc),
            "WS" => Ok(Self::Ws),
            "SM" => Ok(Self::Sm),
            "ST" => Ok(Self::St),
            "SA" => Ok(Self::Sa),
            "SN" => Ok(Self::Sn),
            "RS" => Ok(Self::Rs),
            "SC" => Ok(Self::Sc),
            "SL" => Ok(Self::Sl),
            "SG" => Ok(Self::Sg),
            "SK" => Ok(Self::Sk),
            "SI" => Ok(Self::Si),
            "SB" => Ok(Self::Sb),
            "SO" => Ok(Self::So),
            "ZA" => Ok(Self::Za),
            "KR" => Ok(Self::Kr),
            "ES" => Ok(Self::Es),
            "LK" => Ok(Self::Lk),
            "SD" => Ok(Self::Sd),
            "SR" => Ok(Self::Sr),
            "SJ" => Ok(Self::Sj),
            "SZ" => Ok(Self::Sz),
            "SE" => Ok(Self::Se),
            "CH" => Ok(Self::Ch),
            "SY" => Ok(Self::Sy),
            "TW" => Ok(Self::Tw),
            "TJ" => Ok(Self::Tj),
            "TZ" => Ok(Self::Tz),
            "TH" => Ok(Self::Th),
            "TL" => Ok(Self::Tl),
            "TG" => Ok(Self::Tg),
            "TK" => Ok(Self::Tk),
            "TO" => Ok(Self::To),
            "TT" => Ok(Self::Tt),
            "TN" => Ok(Self::Tn),
            "TR" => Ok(Self::Tr),
            "TM" => Ok(Self::Tm),
            "TC" => Ok(Self::Tc),
            "TV" => Ok(Self::Tv),
            "UG" => Ok(Self::Ug),
            "UA" => Ok(Self::Ua),
            "AE" => Ok(Self::Ae),
            "GB" => Ok(Self::Gb),
            "US" => Ok(Self::Us),
            "UY" => Ok(Self::Uy),
            "VI" => Ok(Self::Vi),
            "UZ" => Ok(Self::Uz),
            "VU" => Ok(Self::Vu),
            "VE" => Ok(Self::Ve),
            "VN" => Ok(Self::Vn),
            "WF" => Ok(Self::Wf),
            "EH" => Ok(Self::Eh),
            "YE" => Ok(Self::Ye),
            "ZM" => Ok(Self::Zm),
            "ZW" => Ok(Self::Zw),
            _ => Err(()),
        }
    }
}
impl std::fmt::Display for IsoCountries {
    fn fmt(&self, fmt: &mut std::fmt::Formatter) -> std::fmt::Result {
        fmt.write_str(self.as_str())
    }
}
#[derive(Clone, Copy, Debug, Eq, Hash, Ord, PartialEq, PartialOrd)]
pub enum IsoLanguages {
    Ab,
    Aa,
    Af,
    Sq,
    Am,
    Ar,
    An,
    Hy,
    As,
    Ay,
    Az,
    Ba,
    Eu,
    Bn,
    Dz,
    Bh,
    Bi,
    Br,
    Bg,
    My,
    Be,
    Km,
    Ca,
    Zh,
    ZhHans,
    ZhHant,
    Co,
    Hr,
    Cs,
    Da,
    Nl,
    En,
    Eo,
    Et,
    Fo,
    Fa,
    Fj,
    Fi,
    Fr,
    Fy,
    Gl,
    Gd,
    Gv,
    Ka,
    De,
    El,
    Kl,
    Gn,
    Gu,
    Ht,
    Ha,
    He,
    Iw,
    Hi,
    Hu,
    Is,
    Io,
    Id,
    In,
    Ia,
    Ie,
    Iu,
    Ik,
    Ga,
    It,
    Ja,
    Jv,
    Kn,
    Ks,
    Kk,
    Rw,
    Ky,
    Rn,
    Ko,
    Ku,
    Lo,
    La,
    Lv,
    Li,
    Ln,
    Lt,
    Mk,
    Mg,
    Ms,
    Ml,
    Mt,
    Mi,
    Mr,
    Mo,
    Mn,
    Na,
    Ne,
    No,
    Nb,
    Nn,
    Oc,
    Or,
    Om,
    Ps,
    Pl,
    Pt,
    Pa,
    Qu,
    Rm,
    Ro,
    Ru,
    Sm,
    Sg,
    Sa,
    Sr,
    Sh,
    St,
    Tn,
    Sn,
    Ii,
    Sd,
    Si,
    Ss,
    Sk,
    Sl,
    So,
    Es,
    Su,
    Sw,
    Sv,
    Tl,
    Tg,
    Ta,
    Tt,
    Te,
    Th,
    Bo,
    Ti,
    To,
    Ts,
    Tr,
    Tk,
    Tw,
    Ug,
    Uk,
    Ur,
    Uz,
    Vi,
    Vo,
    Wa,
    Cy,
    Wo,
    Xh,
    Yi,
    Ji,
    Yo,
    Zu,
}
impl IsoLanguages {
    pub const fn as_str(self) -> &'static str {
        match self {
            Self::Ab => "ab",
            Self::Aa => "aa",
            Self::Af => "af",
            Self::Sq => "sq",
            Self::Am => "am",
            Self::Ar => "ar",
            Self::An => "an",
            Self::Hy => "hy",
            Self::As => "as",
            Self::Ay => "ay",
            Self::Az => "az",
            Self::Ba => "ba",
            Self::Eu => "eu",
            Self::Bn => "bn",
            Self::Dz => "dz",
            Self::Bh => "bh",
            Self::Bi => "bi",
            Self::Br => "br",
            Self::Bg => "bg",
            Self::My => "my",
            Self::Be => "be",
            Self::Km => "km",
            Self::Ca => "ca",
            Self::Zh => "zh",
            Self::ZhHans => "zh-Hans",
            Self::ZhHant => "zh-Hant",
            Self::Co => "co",
            Self::Hr => "hr",
            Self::Cs => "cs",
            Self::Da => "da",
            Self::Nl => "nl",
            Self::En => "en",
            Self::Eo => "eo",
            Self::Et => "et",
            Self::Fo => "fo",
            Self::Fa => "fa",
            Self::Fj => "fj",
            Self::Fi => "fi",
            Self::Fr => "fr",
            Self::Fy => "fy",
            Self::Gl => "gl",
            Self::Gd => "gd",
            Self::Gv => "gv",
            Self::Ka => "ka",
            Self::De => "de",
            Self::El => "el",
            Self::Kl => "kl",
            Self::Gn => "gn",
            Self::Gu => "gu",
            Self::Ht => "ht",
            Self::Ha => "ha",
            Self::He => "he",
            Self::Iw => "iw",
            Self::Hi => "hi",
            Self::Hu => "hu",
            Self::Is => "is",
            Self::Io => "io",
            Self::Id => "id",
            Self::In => "in",
            Self::Ia => "ia",
            Self::Ie => "ie",
            Self::Iu => "iu",
            Self::Ik => "ik",
            Self::Ga => "ga",
            Self::It => "it",
            Self::Ja => "ja",
            Self::Jv => "jv",
            Self::Kn => "kn",
            Self::Ks => "ks",
            Self::Kk => "kk",
            Self::Rw => "rw",
            Self::Ky => "ky",
            Self::Rn => "rn",
            Self::Ko => "ko",
            Self::Ku => "ku",
            Self::Lo => "lo",
            Self::La => "la",
            Self::Lv => "lv",
            Self::Li => "li",
            Self::Ln => "ln",
            Self::Lt => "lt",
            Self::Mk => "mk",
            Self::Mg => "mg",
            Self::Ms => "ms",
            Self::Ml => "ml",
            Self::Mt => "mt",
            Self::Mi => "mi",
            Self::Mr => "mr",
            Self::Mo => "mo",
            Self::Mn => "mn",
            Self::Na => "na",
            Self::Ne => "ne",
            Self::No => "no",
            Self::Nb => "nb",
            Self::Nn => "nn",
            Self::Oc => "oc",
            Self::Or => "or",
            Self::Om => "om",
            Self::Ps => "ps",
            Self::Pl => "pl",
            Self::Pt => "pt",
            Self::Pa => "pa",
            Self::Qu => "qu",
            Self::Rm => "rm",
            Self::Ro => "ro",
            Self::Ru => "ru",
            Self::Sm => "sm",
            Self::Sg => "sg",
            Self::Sa => "sa",
            Self::Sr => "sr",
            Self::Sh => "sh",
            Self::St => "st",
            Self::Tn => "tn",
            Self::Sn => "sn",
            Self::Ii => "ii",
            Self::Sd => "sd",
            Self::Si => "si",
            Self::Ss => "ss",
            Self::Sk => "sk",
            Self::Sl => "sl",
            Self::So => "so",
            Self::Es => "es",
            Self::Su => "su",
            Self::Sw => "sw",
            Self::Sv => "sv",
            Self::Tl => "tl",
            Self::Tg => "tg",
            Self::Ta => "ta",
            Self::Tt => "tt",
            Self::Te => "te",
            Self::Th => "th",
            Self::Bo => "bo",
            Self::Ti => "ti",
            Self::To => "to",
            Self::Ts => "ts",
            Self::Tr => "tr",
            Self::Tk => "tk",
            Self::Tw => "tw",
            Self::Ug => "ug",
            Self::Uk => "uk",
            Self::Ur => "ur",
            Self::Uz => "uz",
            Self::Vi => "vi",
            Self::Vo => "vo",
            Self::Wa => "wa",
            Self::Cy => "cy",
            Self::Wo => "wo",
            Self::Xh => "xh",
            Self::Yi => "yi",
            Self::Ji => "ji",
            Self::Yo => "yo",
            Self::Zu => "zu",
        }
    }
}
impl std::str::FromStr for IsoLanguages {
    type Err = ();
    fn from_str(s: &str) -> Result<Self, Self::Err> {
        match s {
            "ab" => Ok(Self::Ab),
            "aa" => Ok(Self::Aa),
            "af" => Ok(Self::Af),
            "sq" => Ok(Self::Sq),
            "am" => Ok(Self::Am),
            "ar" => Ok(Self::Ar),
            "an" => Ok(Self::An),
            "hy" => Ok(Self::Hy),
            "as" => Ok(Self::As),
            "ay" => Ok(Self::Ay),
            "az" => Ok(Self::Az),
            "ba" => Ok(Self::Ba),
            "eu" => Ok(Self::Eu),
            "bn" => Ok(Self::Bn),
            "dz" => Ok(Self::Dz),
            "bh" => Ok(Self::Bh),
            "bi" => Ok(Self::Bi),
            "br" => Ok(Self::Br),
            "bg" => Ok(Self::Bg),
            "my" => Ok(Self::My),
            "be" => Ok(Self::Be),
            "km" => Ok(Self::Km),
            "ca" => Ok(Self::Ca),
            "zh" => Ok(Self::Zh),
            "zh-Hans" => Ok(Self::ZhHans),
            "zh-Hant" => Ok(Self::ZhHant),
            "co" => Ok(Self::Co),
            "hr" => Ok(Self::Hr),
            "cs" => Ok(Self::Cs),
            "da" => Ok(Self::Da),
            "nl" => Ok(Self::Nl),
            "en" => Ok(Self::En),
            "eo" => Ok(Self::Eo),
            "et" => Ok(Self::Et),
            "fo" => Ok(Self::Fo),
            "fa" => Ok(Self::Fa),
            "fj" => Ok(Self::Fj),
            "fi" => Ok(Self::Fi),
            "fr" => Ok(Self::Fr),
            "fy" => Ok(Self::Fy),
            "gl" => Ok(Self::Gl),
            "gd" => Ok(Self::Gd),
            "gv" => Ok(Self::Gv),
            "ka" => Ok(Self::Ka),
            "de" => Ok(Self::De),
            "el" => Ok(Self::El),
            "kl" => Ok(Self::Kl),
            "gn" => Ok(Self::Gn),
            "gu" => Ok(Self::Gu),
            "ht" => Ok(Self::Ht),
            "ha" => Ok(Self::Ha),
            "he" => Ok(Self::He),
            "iw" => Ok(Self::Iw),
            "hi" => Ok(Self::Hi),
            "hu" => Ok(Self::Hu),
            "is" => Ok(Self::Is),
            "io" => Ok(Self::Io),
            "id" => Ok(Self::Id),
            "in" => Ok(Self::In),
            "ia" => Ok(Self::Ia),
            "ie" => Ok(Self::Ie),
            "iu" => Ok(Self::Iu),
            "ik" => Ok(Self::Ik),
            "ga" => Ok(Self::Ga),
            "it" => Ok(Self::It),
            "ja" => Ok(Self::Ja),
            "jv" => Ok(Self::Jv),
            "kn" => Ok(Self::Kn),
            "ks" => Ok(Self::Ks),
            "kk" => Ok(Self::Kk),
            "rw" => Ok(Self::Rw),
            "ky" => Ok(Self::Ky),
            "rn" => Ok(Self::Rn),
            "ko" => Ok(Self::Ko),
            "ku" => Ok(Self::Ku),
            "lo" => Ok(Self::Lo),
            "la" => Ok(Self::La),
            "lv" => Ok(Self::Lv),
            "li" => Ok(Self::Li),
            "ln" => Ok(Self::Ln),
            "lt" => Ok(Self::Lt),
            "mk" => Ok(Self::Mk),
            "mg" => Ok(Self::Mg),
            "ms" => Ok(Self::Ms),
            "ml" => Ok(Self::Ml),
            "mt" => Ok(Self::Mt),
            "mi" => Ok(Self::Mi),
            "mr" => Ok(Self::Mr),
            "mo" => Ok(Self::Mo),
            "mn" => Ok(Self::Mn),
            "na" => Ok(Self::Na),
            "ne" => Ok(Self::Ne),
            "no" => Ok(Self::No),
            "nb" => Ok(Self::Nb),
            "nn" => Ok(Self::Nn),
            "oc" => Ok(Self::Oc),
            "or" => Ok(Self::Or),
            "om" => Ok(Self::Om),
            "ps" => Ok(Self::Ps),
            "pl" => Ok(Self::Pl),
            "pt" => Ok(Self::Pt),
            "pa" => Ok(Self::Pa),
            "qu" => Ok(Self::Qu),
            "rm" => Ok(Self::Rm),
            "ro" => Ok(Self::Ro),
            "ru" => Ok(Self::Ru),
            "sm" => Ok(Self::Sm),
            "sg" => Ok(Self::Sg),
            "sa" => Ok(Self::Sa),
            "sr" => Ok(Self::Sr),
            "sh" => Ok(Self::Sh),
            "st" => Ok(Self::St),
            "tn" => Ok(Self::Tn),
            "sn" => Ok(Self::Sn),
            "ii" => Ok(Self::Ii),
            "sd" => Ok(Self::Sd),
            "si" => Ok(Self::Si),
            "ss" => Ok(Self::Ss),
            "sk" => Ok(Self::Sk),
            "sl" => Ok(Self::Sl),
            "so" => Ok(Self::So),
            "es" => Ok(Self::Es),
            "su" => Ok(Self::Su),
            "sw" => Ok(Self::Sw),
            "sv" => Ok(Self::Sv),
            "tl" => Ok(Self::Tl),
            "tg" => Ok(Self::Tg),
            "ta" => Ok(Self::Ta),
            "tt" => Ok(Self::Tt),
            "te" => Ok(Self::Te),
            "th" => Ok(Self::Th),
            "bo" => Ok(Self::Bo),
            "ti" => Ok(Self::Ti),
            "to" => Ok(Self::To),
            "ts" => Ok(Self::Ts),
            "tr" => Ok(Self::Tr),
            "tk" => Ok(Self::Tk),
            "tw" => Ok(Self::Tw),
            "ug" => Ok(Self::Ug),
            "uk" => Ok(Self::Uk),
            "ur" => Ok(Self::Ur),
            "uz" => Ok(Self::Uz),
            "vi" => Ok(Self::Vi),
            "vo" => Ok(Self::Vo),
            "wa" => Ok(Self::Wa),
            "cy" => Ok(Self::Cy),
            "wo" => Ok(Self::Wo),
            "xh" => Ok(Self::Xh),
            "yi" => Ok(Self::Yi),
            "ji" => Ok(Self::Ji),
            "yo" => Ok(Self::Yo),
            "zu" => Ok(Self::Zu),
            _ => Err(()),
        }
    }
}
impl std::fmt::Display for IsoLanguages {
    fn fmt(&self, fmt: &mut std::fmt::Formatter) -> std::fmt::Result {
        fmt.write_str(self.as_str())
    }
}
